replace b15f001 = b15f001*12
egen cakeflour_gr = rowtotal(b15f001)
drop b15f001
la var cakeflour_gr "Cake flour; self-raising flour"
replace b15f002 = b15f002*12
egen breadflour_gr = rowtotal(b15f002)
drop b15f002
la var breadflour_gr "Bread flour"
replace b15f003 = b15f003*12
egen mealiemeal_gr = rowtotal(b15f003)
drop b15f003
la var mealiemeal_gr "Mealie meal; maize flour"
replace b15f004 = b15f004*12
egen sorghummeal_gr = rowtotal(b15f004)
drop b15f004
la var sorghummeal_gr "Sorghum meal/powder"
replace b15f007 = b15f007*12
egen rice_gr = rowtotal(b15f007)
drop b15f007
la var rice_gr "Rice"
replace b15f008 = b15f008*12
egen samp_gr = rowtotal(b15f008)
drop b15f008
la var samp_gr "Mealie rice; samp"
replace b15f010 = b15f010*12
egen whitebread_gr = rowtotal(b15f010)
drop b15f010
la var whitebread_gr "White bread"
replace b15f011 = b15f011*12
egen brownbread_gr = rowtotal(b15f011)
drop b15f011
la var brownbread_gr "Brown & wholewheat bread"
replace b15f009 = b15f009*12
egen pasta_gr = rowtotal(b15f009)
drop b15f009
la var pasta_gr "Spaghetti; macaroni; other pasta"
replace b15f005 = b15f005*12
egen otherflour_gr = rowtotal(b15f005)
drop b15f005
la var otherflour_gr "Corn flour; other meal and flour"
replace b15f006 = b15f006*12
egen cereals_gr = rowtotal(b15f006)
drop b15f006
la var cereals_gr "Breakfast cereals (incl taystee wheat; mabella; cornflakes; puffed rice; muesli)"
replace b15f012 = b15f012*12
egen otherbread_gr = rowtotal(b15f012)
drop b15f012
la var otherbread_gr "Other bread (incl garlic bread; other bread loaves; bread rolls)"
replace b15f013 = b15f013*12
egen otherbaked_gr = rowtotal(b15f013)
drop b15f013
la var otherbaked_gr "Other baked products (incl rusks; biscuits; crackers; cakes; tarts; vetkoek)"
replace b15f014 = b15f014*12
egen babyfood_gr = rowtotal(b15f014)
drop b15f014
la var babyfood_gr "Baby food (predominantly grain)"
replace b15f015 = b15f015*12
egen othergrain_gr = rowtotal(b15f015)
drop b15f015
la var othergrain_gr "Other grain products (incl sandwiches, pies, excl meat/fruit pies)"
egen Grain_fo = rowtotal(*_gr)
la var Grain_fo "SUBTOTAL: Grain products"
replace b16f001 = b16f001*12
replace b17f006 = b17f006*12
egen beef_me = rowtotal(b16f001 b17f006)
drop b16f001 b17f006
la var beef_me "Beef & veal (incl heads & feet)"
replace b16f002 = b16f002*12
replace b17f007 = b17f007*12
egen mutton_me = rowtotal(b16f002 b17f007)
drop b16f002 b17f007
la var mutton_me "Mutton, lamb & goat (incl heads & feet)"
replace b16f003 = b16f003*12
replace b17f008 = b17f008*12
egen pork_me = rowtotal(b16f003 b17f008)
drop b16f003 b17f008
la var pork_me "Pork (incl heads & feet)"
replace b16f004 = b16f004*12
replace b17f009 = b17f009*12
egen poultry_me = rowtotal(b16f004 b17f009)
drop b16f004 b17f009
la var poultry_me "Poultry (incl heads & feet)"
replace b17f010 = b17f010*12
egen boerewors_me = rowtotal(b17f010)
drop b17f010
la var boerewors_me "Boerewors"
replace b17f011 = b17f011*12
egen sausage_me = rowtotal(b17f011)
drop b17f011
la var sausage_me "Other sausages (pork, beef, chicken, game etc)"
replace b17f012 = b17f012*12
egen coldmeats_me = rowtotal(b17f012)
drop b17f012
la var coldmeats_me "Cold meats (viennas, polony, ham, other processed meat)"
replace b17f013 = b17f013*12
egen biltong_me = rowtotal(b17f013)
drop b17f013
la var biltong_me "Biltong & dried sausages"
replace b17f014 = b17f014*12
egen bacon_me = rowtotal(b17f014)
drop b17f014
la var bacon_me "Bacon"
replace b17f016 = b17f016*12
egen babyfood_me = rowtotal(b17f016)
drop b17f016
la var babyfood_me "Baby food (predominantly meat)"
replace b17f015 = b17f015*12
replace b17f017 = b17f017*12
replace b16f005 = b16f005*12
egen othermeat_me = rowtotal(b17f015 b17f017 b16f005)
drop b17f015 b17f017 b16f005
la var othermeat_me "Other meat & meat products"
egen Meat_fo = rowtotal(*_me)
la var Meat_fo "SUBTOTAL: Meat products"
replace b18f001 = b18f001*12
egen freshfish_fi = rowtotal(b18f001)
drop b18f001
la var freshfish_fi "Fresh or chilled fish"
replace b18f003 = b18f003*12
replace b18f002 = b18f002*12
replace b18f004 = b18f004*12
replace b18f005 = b18f005*12
egen otherfish_fi = rowtotal(b18f003 b18f002 b18f004 b18f005)
drop b18f003 b18f002 b18f004 b18f005
la var otherfish_fi "Canned, dried, smoked fish; fish paste"
egen Fish_fo = rowtotal(*_fi)
la var Fish_fo "SUBTOTAL: Fish & other seafood"
replace b20f001 = b20f001*12
egen freshmilk_mi = rowtotal(b20f001)
drop b20f001
la var freshmilk_mi "Fresh milk (full cream, low fat)"
replace b20f007 = b20f007*12
egen longlifemilk_mi = rowtotal(b20f007)
drop b20f007
la var longlifemilk_mi "Longlife milk (full cream, low fat)"
replace b20f006 = b20f006*12
egen condensedmilk_mi = rowtotal(b20f006)
drop b20f006
la var condensedmilk_mi "Condensed milk; evaporated milk"
replace b20f005 = b20f005*12
egen powderedmilk_mi = rowtotal(b20f005)
drop b20f005
la var powderedmilk_mi "Powdered milk; Whiteners (eg Cremora)"
replace b20f008 = b20f008*12
egen cheese_mi = rowtotal(b20f008)
drop b20f008
la var cheese_mi "Cheese and cottage cheese"
replace b20f003 = b20f003*12
egen cream_mi = rowtotal(b20f003)
drop b20f003
la var cream_mi "Cream and yoghurt"
replace b20f002 = b20f002*12
egen sourmilk_mi = rowtotal(b20f002)
drop b20f002
la var sourmilk_mi "Sour milk; maas; buttermilk"
replace b20f011 = b20f011*12
egen eggs_mi = rowtotal(b20f011)
drop b20f011
la var eggs_mi "Eggs (incl egg powder)"
replace b20f009 = b20f009*12
egen babyfood_mi = rowtotal(b20f009)
drop b20f009
la var babyfood_mi "Baby food (predominantly milk)"
replace b20f010 = b20f010*12
egen othermilk_mi = rowtotal(b20f010)
drop b20f010
la var othermilk_mi "Other milk and cheese products (incl milk substitutes, eg soya milk)"
egen Milk_fo = rowtotal(*_mi)
la var Milk_fo "SUBTOTAL: Milk, cheese and eggs"
replace b19f001 = b19f001*12
egen butter_fa = rowtotal(b19f001)
drop b19f001
la var butter_fa "Butter and butter oil"
replace b19f002 = b19f002*12
egen margarine_fa = rowtotal(b19f002)
drop b19f002
la var margarine_fa "Margarine and medium, low fat spreads"
replace b19f003 = b19f003*12
egen cookingoil_fa = rowtotal(b19f003)
drop b19f003
la var cookingoil_fa "Cooking and salad oils (excl. salad dressing)"
replace b19f004 = b19f004*12
egen peanutbutter_fa = rowtotal(b19f004)
drop b19f004
la var peanutbutter_fa "Peanut butter"
replace b19f005 = b19f005*12
egen otherfats_fa = rowtotal(b19f005)
drop b19f005
la var otherfats_fa "Other fats and oils (eg lard)"
egen Fats_fo = rowtotal(*_fa)
la var Fats_fo "SUBTOTAL: Oils and fats"
replace b21f011 = b21f011*12
egen lettuce_ve = rowtotal(b21f011)
drop b21f011
la var lettuce_ve "Lettuce (fresh)"
replace b21f007 = b21f007*12
egen cabbage_ve = rowtotal(b21f007)
drop b21f007
la var cabbage_ve "Cabbage (fresh)"
replace b21f003 = b21f003*12
egen mealies_ve = rowtotal(b21f003)
drop b21f003
la var mealies_ve "Green mealies (fresh)"
replace b21f005 = b21f005*12
egen tomatoes_ve = rowtotal(b21f005)
drop b21f005
la var tomatoes_ve "Tomatoes (fresh)"
replace b21f008 = b21f008*12
egen carrots_ve = rowtotal(b21f008)
drop b21f008
la var carrots_ve "Carrots (fresh)"
replace b21f006 = b21f006*12
egen greenbeans_ve = rowtotal(b21f006)
drop b21f006
la var greenbeans_ve "Green beans (fresh)"
replace b21f009 = b21f009*12
egen pumpkin_ve = rowtotal(b21f009)
drop b21f009
la var pumpkin_ve "Pumpkin, marrows, gem squash (fresh)"
replace b21f015 = b21f015*12
egen frozenpeas_ve = rowtotal(b21f015)
drop b21f015
la var frozenpeas_ve "Peas (frozen)"
replace b21f016 = b21f016*12
egen frozencarrots_ve = rowtotal(b21f016)
drop b21f016
la var frozencarrots_ve "Carrots (frozen)"
replace b21f019 = b21f019*12
egen driedpeas_ve = rowtotal(b21f019)
drop b21f019
la var driedpeas_ve "Dried peas, beans, lentils"
replace b21f018 = b21f018*12
egen cannedveg_ve = rowtotal(b21f018)
drop b21f018
la var cannedveg "Canned vegetables"
replace b21f014 = b21f014*12
egen frozenbeans_ve = rowtotal(b21f014)
drop b21f014
la var frozenbeans_ve "Frozen beans"
replace b21f001 = b21f001*12
replace b21f002 = b21f002*12
replace b21f004 = b21f004*12
replace b21f010 = b21f010*12
replace b21f012 = b21f012*12
replace b21f013 = b21f013*12
replace b21f017 = b21f017*12
replace b21f021 = b21f021*12
egen otherveg_ve = rowtotal(b21f002 b21f004 b21f010 b21f012 b21f013 b21f017 b21f021)
drop b21f001 b21f002 b21f004 b21f010 b21f012 b21f013 b21f017 b21f021
la var otherveg_ve "All other vegetables & vegetable products"
replace b26f010 = b26f010*12
egen popcorn_ve = rowtotal(b26f010)
drop b26f010
la var popcorn_ve "Pop corn, kernels & prepared"
replace b26f009 = b26f009*12
egen crisps_ve = rowtotal(b26f009)
drop b26f009
la var crisps_ve "Potato crisps, other chips"
replace b21f020 = b21f020*12
egen babyfood_ve = rowtotal(b21f020)
drop b21f020
la var babyfood_ve "Baby food (predominantly veg)"
egen Vegetables_fo = rowtotal(*_ve)
la var Vegetables_fo "SUBTOTAL: Vegetables"
replace b22f005 = b22f005*12
egen oranges_fr = rowtotal(b22f005)
drop b22f005
la var oranges_fr "Oranges"
replace b22f006 = b22f006*12
egen citrus_fr = rowtotal(b22f006)
drop b22f006
la var citrus_fr "Other citrus fruit"
replace b22f003 = b22f003*12
egen bananas_fr = rowtotal(b22f003)
drop b22f003
la var bananas_fr "Bananas"
replace b22f004 = b22f004*12
egen subtropical_fr = rowtotal(b22f004)
drop b22f004
la var subtropical "Other subtropical fruit"
replace b22f001 = b22f001*12
egen apples_fr = rowtotal(b22f001)
drop b22f001
la var apples_fr "Apples"
replace b22f002 = b22f002*12
egen deciduous_fr = rowtotal(b22f002)
drop b22f002
la var deciduous_fr "Other deciduous fruit"
replace b22f007 = b22f007*12
egen otherfruits_fr = rowtotal(b22f007)
drop b22f007
la var otherfruits_fr "Other fruits (incl strawberries, watermelon, melon)"
replace b22f009 = b22f009*12
egen driedfruit_fr = rowtotal(b22f009)
drop b22f009
la var driedfruit "Dried fruit"
replace b22f011 = b22f011*12
egen nuts_fr = rowtotal(b22f011)
drop b22f011
la var nuts "Nuts"
replace b22f008 = b22f008*12
egen cannedfruit_fr = rowtotal(b22f008)
drop b22f008
la var cannedfruit_fr "Nuts"
replace b22f012 = b22f012*12
egen babyfood_fr = rowtotal(b22f012)
drop b22f012
la var babyfood_fr "Baby food (predominantly fruit)"
replace b22f013 = b22f013*12
egen otherfruitprod_fr = rowtotal(b22f013)
drop b22f013
la var otherfruitprod_fr "All other fruit and nut products, excl peanut butter (e.g. lemon juice)"
egen Fruit_fo = rowtotal(*_fr)
la var Fruit_fo "SUBTOTAL: Fruit and Nuts"
replace b23f001 = b23f001*12
egen whitesugar_su = rowtotal(b23f001)
drop b23f001
la var whitesugar_su "White sugar"
replace b23f002 = b23f002*12
egen brownsugar_su = rowtotal(b23f002)
drop b23f002
la var brownsugar_su "Brown sugar"
replace b23f004 = b23f004*12
egen othersugar_su = rowtotal(b23f004)
drop b23f004
la var othersugar_su "Other sugar products (icing sugar etc)"
replace b23f003 = b23f003*12
egen sweeteners_su = rowtotal(b23f003)
drop b23f003
la var sweeteners_su "Sweeteners"
replace b24f001 = b24f001*12
egen honey_su = rowtotal(b24f001)
drop b24f001
la var honey_su "Syrup & honey"
replace b24f002 = b24f002*12
egen jams_su = rowtotal(b24f002)
drop b24f002
la var jams_su "Jam"
replace b24f004 = b24f004*12
egen chocolates_su = rowtotal(b24f004)
drop b24f004
la var chocolates_su "Chocolate"
replace b24f005 = b24f005*12
egen othersweets_su = rowtotal(b24f005)
drop b24f005
la var othersweets_su "Other sweets incl health bars"
replace b24f003 = b24f003*12
egen jelly_su = rowtotal(b24f003)
drop b24f003
la var jelly_su "Jelly powder"
replace b20f004 = b20f004*12
egen icecream_su = rowtotal(b20f004)
drop b20f004
la var icecream_su "Ice-cream"
egen Sugar_fo = rowtotal(*_su)
la var Sugar_fo "SUBTOTAL: Sugar, jam, honey, chocolate & confectionery"
replace b26f005 = b26f005*12
egen vinegar_fn = rowtotal(b26f005)
drop b26f005
la var vinegar_fn "Vinegar"
replace b26f004 = b26f004*12
egen saltpepper_fn = rowtotal(b26f004)
drop b26f004
la var saltpepper_fn "Salt & pepper"
replace b26f006 = b26f006*12
egen spices_fn = rowtotal(b26f006)
drop b26f006
la var spices_fn "Herbs & spices"
replace b26f008 = b26f008*12
egen soups_fn = rowtotal(b26f008)
drop b26f008
la var soups_fn "Canned soup, soup powders & meat extract cubes"
replace b26f002 = b26f002*12
egen custard_fn = rowtotal(b26f002)
drop b26f002
la var custard_fn "Custard powder & Instant pudding powder"
replace b26f003 = b26f003*12
egen yeast_fn = rowtotal(b26f003)
drop b26f003
la var yeast_fn "Yeast, baking powder and bicarbonate of soda"
replace b26f007 = b26f007*12
egen chutney_fn = rowtotal(b26f007)
drop b26f007
la var chutney_fn "Chutney, pickles, sauces, mustard, tomato sauce & mayonnaise"
replace b26f001 = b26f001*12
replace b26f011 = b26f011*12
replace b24f006 = b24f006*12
egen allotherfood_fn = rowtotal(b26f001 b26f011 b24f006)
drop b26f001 b26f011 b24f006
la var allotherfood_fn "All other food (incl all unmatched food items)"
egen Foodnec_fo = rowtotal(*_fn)
la var Foodnec_fo "SUBTOTAL: Food not elsewhere classified"
egen Food = rowtotal(*_fo)
la var Food "TOTAL: Food"
noisily di _col(3) "…TOTAL: Food compiled"
replace b25f001 = b25f001*12
egen instantcoffee_co = rowtotal(b25f001)
drop b25f001
la var instantcoffee_co "Instant coffee"
replace b25f002 = b25f002*12
egen groundcoffee_co = rowtotal(b25f002)
drop b25f002
la var groundcoffee_co "Ground coffee & coffee beans"
replace b25f003 = b25f003*12
egen ceylontea_co = rowtotal(b25f003)
drop b25f003
la var ceylontea_co "Ceylon tea (leaves & bags)"
replace b25f004 = b25f004*12
egen rooibostea_co = rowtotal(b25f004)
drop b25f004
la var rooibostea_co "Rooibos & herbal teas (leaves & bags)"
replace b25f005 = b25f005*12
egen cocoa_co = rowtotal(b25f005)
drop b25f005
la var cocoa_co "Cocoa & other warm drinks"
egen Coffee_nb = rowtotal(*_co)
la var Coffee_nb "SUBTOTAL: Coffee, tea and cocoa"
replace b29f001 = b29f001*12
egen softdrinks_cd = rowtotal(b29f001)
drop b29f001
la var softdrinks_cd "Soft drinks"
replace b29f002 = b29f002*12
egen springwater_cd = rowtotal(b29f002)
drop b29f002
la var springwater_cd "Mineral/spring water"
replace b22f010 = b22f010*12
replace b29f003 = b29f003*12
egen juice_cd = rowtotal(b22f010 b29f003)
drop b22f010 b29f003
la var juice_cd "Fruit juices, nectar, fruit drinks, concentrates & dairy fruit juice mixtures"
egen othcooldrink_cd = rowtotal(b29f004)
drop b29f004
la var othcooldrink_cd "Other cooldrinks (incl flavoured syrups)"
egen Colddrink_nb = rowtotal(*_cd)
la var Colddrink_nb "SUBTOTAL: Mineral water, soft drinks, fruit and vegetable juices"
egen Nonalcoholic = rowtotal(*_nb)
la var Nonalcoholic "TOTAL: Non-Alcoholic Beverages"
noisily di _col(3) "…TOTAL: Non-Alcoholic Beverages compiled"
replace b31f001 = b31f001*12
egen spirits_al = rowtotal(b31f001)
drop b31f001
la var spirits_al "Spirits (such as brandy; whisky gin; liqueurs)"
replace b31f006 = b31f006*12
egen fortifiedwine_al = rowtotal(b31f006)
drop b31f006
la var fortifiedwine_al "Fortified wines (sherry, port etc)"
replace b31f004 = b31f004*12
egen sorghumbeer_al = rowtotal(b31f004)
drop b31f004
la var sorghumbeer_al "Sorghum beer (traditional or pre-packed)"
replace b31f002 = b31f002*12
replace b31f003 = b31f003*12
replace b31f005 = b31f005*12
replace b31f007 = b31f007*12
egen otheralcbev_al = rowtotal(b31f002 b31f003 b31f005 b31f007)
drop b31f002 b31f003 b31f005 b31f007
la var otheralcbev_al "All other alcoholic beverages"
egen Alcohol = rowtotal(*_al)
la var Alcohol "TOTAL: Alcoholic beverages"
noisily di _col(3) "…TOTAL: Alcoholic beverages compiled"
replace b32f001 = b32f001*12
egen cigarettes_to = rowtotal(b32f001)
drop b32f001
la var cigarettes_to "Cigarettes"
replace b32f002 = b32f002*12
egen cigars_to = rowtotal(b32f002)
drop b32f002
la var cigars_to "Cigars and cigarillos"
replace b32f003 = b32f003*12
egen tobaccos_to = rowtotal(b32f003)
drop b32f003
la var tobaccos_to "Pipe, cigarette and chewing tobacco; snuff; other smoked items"
egen Tobacco = rowtotal(*_to)
la var Tobacco "TOTAL: Cigarettes, cigars, tobacco & smokers' requisites"
noisily di _col(3) "…TOTAL: Cigarettes, cigars, tobacco & smokers' requisites compiled"
egen clothes_cl = rowtotal(b37f002 b37f003 b37f004 b37f005 b37f006 b37f007 b37f008 b37f010 b38f001 b38f002 b38f003 b38f004 b38f005 b38f006 b38f007 b38f008 b38f009 b38f010 b39f001 b39f002 b39f003 b39f004 b39f005 b39f006 b39f007 b39f008 b39f010 b40f001 b40f002 b40f003 b40f004 b40f005 b40f006 b40f007 b40f008 b40f009 b40f010)
drop b37f001 b37f002 b37f003 b37f004 b37f005 b37f006 b37f007 b37f008 b37f010 b38f001 b38f002 b38f003 b38f004 b38f005 b38f006 b38f007 b38f008 b38f009 b38f010 b39f001 b39f002 b39f003 b39f004 b39f005 b39f006 b39f007 b39f008 b39f010 b40f001 b40f002 b40f003 b40f004 b40f005 b40f006 b40f007 b40f008 b40f009 b40f010
la var clothes_cl "Clothing (men's, women's, boys', girls')"
egen babyclothes_cl = rowtotal(b41f001 b41f002 b41f003)
drop b41f001 b41f002 b41f003
la var babyclothes_cl "Baby clothes"
egen shoes_cl = rowtotal(b42f002 b42f003 b42f004 b42f005 b42f006 b43f001 b43f002 b43f003 b43f004 b43f005 b43f006 b44f001 b44f002 b44f003 b44f004 b44f005 b44f006 b45f001 b45f002 b45f003 b45f004 b45f005 b45f006)
drop b42f001 b42f002 b42f003 b42f004 b42f005 b42f006 b43f001 b43f002 b43f003 b43f004 b43f005 b43f006 b44f001 b44f002 b44f003 b44f004 b44f005 b44f006 b45f001 b45f002 b45f003 b45f004 b45f005 b45f006
la var shoes_cl "Shoes (men's, women's, boys', girls')"
egen babyshoes_cl = rowtotal(b42f200)
drop b42f200
la var babyshoes_cl "Baby shoes"
egen material_cl = rowtotal(b46f001)
drop b46f001
la var material_cl "Material for clothing"
egen knittingwool_cl = rowtotal(b46f002)
drop b46f002
la var knittingwool_cl "Knitting wool & yarns"
egen sewingcotton_cl = rowtotal(b46f003)
drop b46f003
la var sewingcotton_cl "Patterns, trimming lace, sewing cotton etc"
egen clothingrepairs_cl = rowtotal(b46f004)
drop b46f004
la var clothingrepairs_cl "Labour cost for making/knitting of clothing & repairs/alterations to clothing"
egen clothinghire_cl = rowtotal(b46f005)
drop b46f005
la var clothinghire_cl "Cost of the hire of clothing"
egen Clothing = rowtotal(*_cl)
la var Clothing "TOTAL: Clothing and footwear"
noisily di _col(3) "…TOTAL: Clothing and footwear compiled"
replace b36f001 = b36f001*12
egen firewood_fu = rowtotal(b36f001)
drop b36f001
la var firewood_fu "Firewood"
replace b36f002 = b36f002*12
egen charcoal_fu = rowtotal(b36f002)
drop b36f002
la var charcoal_fu "Charcoal"
replace b36f003 = b36f003*12
egen paraffin_fu = rowtotal(b36f003)
drop b36f003
la var paraffin_fu "Paraffin"
replace b36f004 = b36f004*12
egen gascylinders_fu = rowtotal(b36f004)
drop b36f004
la var gascylinders_fu "Gas in cylinders (incl gas for heating purposes)"
replace b36f005 = b36f005*12
egen candles_fu = rowtotal(b36f005)
drop b36f005
la var candles_fu "Candles"
replace b36f006 = b36f006*12
egen coal_fu = rowtotal(b36f006)
drop b36f006
la var coal_fu "Coal (incl anthracite)"
replace b36f007 = b36f007*12
egen meths_fu = rowtotal(b36f007)
drop b36f007
la var meths_fu "Methylated spirits; fuel for lawnmowers & generators for heating"
replace b36f010 = b36f010*12
egen dung_fu = rowtotal(b36f010)
drop b36f010
la var dung_fu "Dung"
replace b36f009 = b36f009*12
egen drycells_fu = rowtotal(b36f009)
drop b36f009
la var drycells_fu "Dry-cells (batteries)"
replace b36f008 = b36f008*12
egen recharging_fu = rowtotal(b36f008)
drop b36f008
la var recharging_fu "Recharging of rechargeable cells"
replace b36f012 = b36f012*12
replace b36f011 = b36f011*12
egen otherhhfuel_fu = rowtotal(b36f012 b36f011)
drop b36f012 b36f011
la var otherhhfuel_fu "Other household fuel (incl petrol & diesel for household use)"
egen Fuel = rowtotal(*_fu)
la var Fuel "TOTAL: Household fuel"
noisily di _col(3) "…TOTAL: Household fuel compiled"
egen beds_ff = rowtotal(b47f001)
drop b47f001
la var beds_ff "Bed bases & matresses"
egen diningfurn_ff = rowtotal(b47f003)
drop b47f003
la var diningfurn_ff "Dining room furniture"
egen loungefurn_ff = rowtotal(b47f004)
drop b47f004
la var loungefurn_ff "Lounge furniture"
egen kitchenfurn_ff = rowtotal(b47f005)
drop b47f005
la var kitchenfurn_ff "Kitchen furniture"
egen gardenfurn_ff = rowtotal(b47f006)
drop b47f006
la var gardenfurn_ff "Garden & patio furniture"
egen looserugs_ff = rowtotal(b47f008)
drop b47f008
la var looserugs_ff "Loose carpets & rugs"
egen bedroomfurn_ff = rowtotal(b47f002)
drop b47f002
la var bedroomfurn_ff "Other bedroom furniture"
egen upholstering_ff = rowtotal(b47f011)
drop b47f011
la var upholstering_ff "Upholstering; repairs to furniture, furnishings & floor coverings"
egen otherfurn_ff = rowtotal(b47f009 b47f010 b47f007)
drop b47f009 b47f010 b47f007
la var otherfurn_ff "Other furniture, furnishings & floor coverings"
egen Furniture_fe = rowtotal(*_ff)
la var Furniture_fe "SUBTOTAL: Furniture and floor coverings"
egen blankets_tx = rowtotal(b48f001)
drop b48f001
la var blankets_tx "Blankets & travelling rugs"
egen bedlinen_tx = rowtotal(b48f002 b48f003)
drop b48f002 b48f003
la var bedlinen_tx "Sheets & pillowcases; duvets & duvet covers; duvet packs"
egen curtains_tx = rowtotal(b48f006)
drop b48f006
la var curtains_tx "Curtains (incl making & hanging charges) & material for curtains"
egen pillows_tx = rowtotal(b48f007)
drop b48f007
la var pillows_tx "Pillows & cushions"
egen tablelinen_tx = rowtotal(b48f004 b48f005)
drop b48f004 b48f005
la var tablelinen_tx "Table & bathroom linen (eg tablecloths, napkins; towels, facecloths)"
egen othertextiles_tx = rowtotal(b48f008)
drop b48f008
la var othertextiles_tx ". Other household textiles"
egen Textiles_fe = rowtotal(*_tx)
la var Textiles_fe "SUBTOTAL: Household textiles"
egen washingmachine_ap = rowtotal(b49f004)
drop b49f004
la var washingmachine_ap "Washing machines, dishwashers, tumble dryers"
egen paraffinstove_ap = rowtotal(b49f015)
drop b49f015
la var paraffinstove_ap "Paraffin stoves & heaters"
egen hotplate_ap = rowtotal(b49f003)
drop b49f003
la var hotplate_ap "Hotplates"
egen gasstove_ap = rowtotal(b49f014)
drop b49f014
la var gasstove_ap "Gas stoves & heaters"
egen sewingmachine_ap = rowtotal(b49f008)
drop b49f008
la var sewingmachine_ap "Sewing machines, overlockers, knitting machines (electric)"
egen sewingnonelec_ap = rowtotal(b49f016)
drop b49f016
la var sewingnonelec_ap "Sewing machines & knitting machines (non-electric)"
egen irons_ap = rowtotal(b49f006)
drop b49f006
la var irons_ap "Irons"
egen kettles_ap = rowtotal(b49f007)
drop b49f007
la var kettles_ap "Kettles, percolators, coffee makers"
egen foodmixer_ap = rowtotal(b49f009)
drop b49f009
la var foodmixer_ap "Food mixers, processors & similar accessories"
egen fryingpan_ap = rowtotal(b49f010)
drop b49f010
la var fryingpan_ap "Frying pans & woks"
egen toaster_ap = rowtotal(b49f011)
drop b49f011
la var toaster_ap "Toasters, waffle irons & sandwich toasters"
egen appliancerepairs_ap = rowtotal(b49f019)
drop b49f019
la var appliancerepairs_ap "Repairs of electrical & non-electrical appliances"
egen vacuum_ap = rowtotal(b49f005)
drop b49f005
la var vacuum_ap "Vacuum cleaners; polishers & carpet cleaning machines"
egen fridge_ap = rowtotal(b49f001)
drop b49f001
la var fridge_ap "Refrigerators, deep freezers, fridge/freezer combinations"
egen stove_ap = rowtotal(b49f002)
drop b49f002
la var stove_ap "Stoves & ovens, incl microwave ovens"
egen lawnmower_ap = rowtotal(b49f017 b49f012)
drop b49f017 b49f012
la var lawnmower_ap "Power driven garden tools (lawnmowers, edge trimmers)"
egen otherappl_ap = rowtotal(b49f018 b49f013)
drop b49f018 b49f013
la var otherappl_ap "All other appliances (incl. fridges, freezers, stoves; electric & non-electric)"
egen Appliances_fe = rowtotal(*_ap)
la var Appliances_fe "SUBTOTAL: Household appliances"
egen musicalinstr_mu = rowtotal(b63f001)
drop b63f001
la var musicalinstr_mu "Pianos, organs & other musical instruments"
egen tvs_mu = rowtotal(b63f002)
drop b63f002
la var tvs_mu "TV sets, decoders, VCR/DVD/Blu-Ray players, aerials, satellite dishes"
egen tvlicence_mu = rowtotal(b65f001)
drop b65f001
la var tvlicence_mu "TV licences"
egen paytv_mu = rowtotal(b65f003)
drop b65f003
la var paytv_mu "Subscription to pay-TV channels"
egen tvrental_mu = rowtotal(b65f002)
drop b65f002
la var tvrental_mu "Television rental"
egen decoderrent_mu = rowtotal(b65f004)
drop b65f004
la var decoderrent_mu "Rent for decoder, video equipment, tapes"
egen radios_mu = rowtotal(b63f003)
drop b63f003
la var radios_mu "Radios, tape recorders, CD players, sound systems & similar equipment"
egen cds_mu = rowtotal(b63f004)
drop b63f004
la var cds_mu "CDs/DVDs/VCDs/Blu-Ray discs (music/movies/blank; not games/software)"
egen Musical_fe = rowtotal(*_mu)
la var Musical_fe "SUBTOTAL: Musical instruments, audiovisual equipment and accessories"
egen kitchenware_eq = rowtotal(b50f001)
drop b50f001
la var kitchenware_eq "Kitchen utensils & cookingware; Cutlery; Tableware"
egen gardenequip_eq = rowtotal(b50f004)
drop b50f004
la var gardenequip_eq "Gardening hand tools (spades, hoses, watering cans)"
egen Equipment_fe = rowtotal(*_eq)
la var Equipment_fe "SUBTOTAL: Other household equipment"
egen Furnequip = rowtotal(*_fe)
la var Furnequip "TOTAL: Furniture and equipment"
noisily di _col(3) "…TOTAL: Furniture and equipment compiled"
replace b34f001 = b34f001*12
egen washingpowder_hg = rowtotal(b34f001)
drop b34f001
la var washingpowder_hg "Soap (not toilet soap),washing powder,liquid detergent,bleach,dishwasher tablets"
replace b34f002 = b34f002*12
egen polishes_hg = rowtotal(b34f002)
drop b34f002
la var polishes_hg "Floor, shoe & furniture polish"
replace b34f003 = b34f003*12
egen scourers_hg = rowtotal(b34f003)
drop b34f003
la var scourers_hg "Scouring powders, pot scourers"
replace b34f004 = b34f004*12
egen insecticides_hg = rowtotal(b34f004)
drop b34f004
la var insecticides_hg "Insecticides (indoor), pesticides, drain & toilet cleansers, air freshener etc"
replace b34f005 = b34f005*12
egen matches_hg = rowtotal(b34f005)
drop b34f005
la var matches_hg "Matches"
replace b34f006 = b34f006*12
egen brooms_hg = rowtotal(b34f006)
drop b34f006
la var brooms_hg "Brooms, brushes, feather dusters, etc"
replace b34f007 = b34f007*12
egen plasticbags_hg = rowtotal(b34f007)
drop b34f007
la var plasticbags_hg "Packaging materials (plastic bags & sachets, foil, wax paper etc)"
replace b34f009 = b34f009*12
egen paperplates_hg = rowtotal(b34f009)
drop b34f009
la var paperplates_hg "Paper serviettes, disposable dinner ware (plates, cups etc)"
egen Hhgoods_hm = rowtotal(*_hg)
la var Hhgoods_hm "SUBTOTAL: Non-durable household goods"
replace b10f001 = b10f001*12
egen domesticworker_hs = rowtotal(b10f001)
drop b10f001
la var domesticworker_hs "Cash wage incl transport allowance: General domestic worker"
replace b10f002 = b10f002*12
egen childminder_hs = rowtotal(b10f002)
drop b10f002
la var childminder_hs "Cash wage incl transport allowance: Childminder/nanny"
replace b10f003 = b10f003*12
egen cook_hs = rowtotal(b10f003)
drop b10f003
la var cook_hs "Cash wage incl transport allowance: Cook"
replace b10f004 = b10f004*12
egen chauffeur_hs = rowtotal(b10f004)
drop b10f004
la var chauffeur_hs "Cash wage incl transport allowance: Chauffeur"
replace b10f005 = b10f005*12
egen clotheswasher_hs = rowtotal(b10f005)
drop b10f005
la var clotheswasher_hs "Cash wage incl transport allowance: Clothes washer/ironer"
replace b10f006 = b10f006*12
egen gardener_hs = rowtotal(b10f006)
drop b10f006
la var gardener_hs "Cash wage incl transport allowance: Gardener"
replace b10f007 = b10f007*12
egen otherdworker_hs = rowtotal(b10f007)
drop b10f007
la var otherdworker_hs "Cash wage incl transport allowance: Other domestic workers"
replace b35f001 = b35f001*12
egen laundryservices_hs = rowtotal(b35f001)
drop b35f001
la var laundryservices_hs "Laundry service for HH textiles/carpets; nappy services (incl launderettes)"
replace b35f003 = b35f003*12
egen fumigation_hs = rowtotal(b35f003)
drop b35f003
la var fumigation_hs "Fumigation & cleaning services (incl for upholstery, pools, window cleaning etc)"
egen Hhservices_hm = rowtotal(*_hs)
la var Hhservices_hm "SUBTOTAL: Domestic services and household articles"
egen Hhmaint = rowtotal(*_hm)
la var Hhmaint "TOTAL: Goods and services for household maintenance"
noisily di _col(3) "…TOTAL: Goods and services for household maintenance compiled"
replace b59f001 = b59f001*12
replace b59f002 = b59f002*12
replace b59f003 = b59f003*12
replace b59f004 = b59f004*12
replace b59f005 = b59f005*12
egen telephony_tc = rowtotal(b59f001 b59f002 b59f003 b59f004 b59f005)
drop b59f001 b59f002 b59f003 b59f004 b59f005
la var telephony_tc "Telephony costs (incl phone rental, phone calls; landline & mobile)"
replace b59f006 = b59f006*12
egen internet_tc = rowtotal(b59f006)
drop b59f006
la var internet_tc "Internet subscriptions & costs"
replace b59f007 = b59f007*12
egen postage_tc = rowtotal(b59f007)
drop b59f007
la var postage_tc "Postage (stamps, packages, other)"
replace b59f008 = b59f008*12
egen postbox_tc = rowtotal(b59f008)
drop b59f008
la var postbox_tc "Other communication (post box rental, courier services, telegrams etc)"
egen Communication = rowtotal(*_tc)
la var Communication "TOTAL: Communication for household purposes"
noisily di _col(3) "…TOTAL: Communication for household purposes compiled"
egen computers_ct = rowtotal(b58f001)
drop b58f001
la var computers_ct "Computers, software, calculators, disks & consumables"
egen phones_ct = rowtotal(b58f002)
drop b58f002
la var phones_ct "Phones (incl mobile phones), fax machines, answering machines"
egen twowayradio_ct = rowtotal(b58f003)
drop b58f003
la var twowayradio_ct "Two-way radios"
egen Computer = rowtotal(*_ct)
la var Computer "TOTAL: Computer and telecommunication equipment"
noisily di _col(3) "…TOTAL: Computer and telecommunication equipment compiled"
egen newcars_pv = rowtotal(b53f001)
drop b53f001
la var newcars_pv "New motor cars, station wagons & minibuses"
egen newbakkies_pv = rowtotal(b53f002)
drop b53f002
la var newbakkies_pv "New bakkies & four-wheel drive vehicles"
egen newmotorbikes_pv = rowtotal(b53f003)
drop b53f003
la var newmotorbikes_pv "New motorcycles & scooters"
egen newbicycles_pv = rowtotal(b53f004)
drop b53f004
la var newbicycles_pv "New bicycles"
egen usedcars_pv = rowtotal(b54f001)
drop b54f001
la var usedcars_pv "Used motor cars, station wagons & minibuses"
egen usedbakkies_pv = rowtotal(b54f002)
drop b54f002
la var usedbakkies_pv "Used bakkies & four-wheel drive vehicles"
egen usedmotorbikes_pv = rowtotal(b54f003)
drop b54f003
la var usedmotorbikes_pv "Used motorcycles & scooters"
egen usedbicycles_pv = rowtotal(b54f004)
drop b54f004
la var usedbicycles_pv "Used bicycles"
egen Vehicles_tr = rowtotal(*_pv)
la var Vehicles_tr "SUBTOTAL: Purchase of private vehicles"
egen carfuel_rc = rowtotal(b55f002)
drop b55f002
la var carfuel_rc "Motor car fuel"
egen newtyres_rc = rowtotal(b55f007)
drop b55f007
la var newtyres_rc "New tyres & tubes"
egen retreads_rc = rowtotal(b55f008)
drop b55f008
la var retreads_rc "Retreaded tyres"
egen spareparts_rc = rowtotal(b55f010)
drop b55f010
la var spareparts_rc "Spare parts & accessories purchased for private repair, maintenance, cleaning"
egen carbatteries_rc = rowtotal(b55f009)
drop b55f009
la var carbatteries_rc "Car batteries"
egen oilgrease_rc = rowtotal(b55f006)
drop b55f006
la var oilgrease_rc "Oil & grease"
egen parkingfees_rc = rowtotal(b55f003)
drop b55f003
la var parkingfees_rc "Parking fees"
egen trafficfines_rc = rowtotal(b55f004)
drop b55f004
la var trafficfines_rc "Traffic fines"
egen tollfees_rc = rowtotal(b55f005)
drop b55f005
la var tollfees_rc "Toll fees"
egen vehiclemaint_rc = rowtotal(b55f011)
drop b55f011
la var vehiclemaint_rc "Vehicle maintenance & lubrication services"
egen vehicleinstal_rc = rowtotal(b55f012)
drop b55f012
la var vehicleinstal_rc "Installation of air conditioning & security systems"
egen panelbeating_rc = rowtotal(b55f013)
drop b55f013
la var panelbeating_rc "Panel-beating repairs (incl repairs to others' vehicles), paid by self"
egen panelbeatingins_rc = rowtotal(b55f014)
drop b55f014
la var panelbeatingins_rc "Panel-beating repairs (incl repairs to others' vehicles), paid by insurer"
egen vehiclerepair_rc = rowtotal(b55f015)
drop b55f015
la var vehiclerepair_rc "Other repair work (incl repairs to others' vehicles), paid by self"
egen vehiclerepairins_rc = rowtotal(b55f016)
drop b55f016
la var vehiclerepairins_rc "Other repair work (incl repairs to others' vehicles), paid by insurer"
egen vehiclelicence_rc = rowtotal(b55f017)
drop b55f017
la var vehiclelicence_rc "Licenses & registration fees (incl that of motorcycles)"
egen otherrunning_rc = rowtotal(b55f019 b55f018)
drop b55f019 b55f018
la var otherrunning_rc "All other vehicle running costs"
egen Runningcosts_tr = rowtotal(*_rc)
la var Runningcosts_tr "SUBTOTAL: Running costs"
egen bus_pt = rowtotal(b56f001)
drop b56f001
la var bus_pt "Bus (education & non-education)"
egen train_pt = rowtotal(b56f002)
drop b56f002
la var train_pt "Train (education & non-education)"
egen cab_pt = rowtotal(b56f003)
drop b56f003
la var cab_pt "Metered taxi (education & non-education)"
egen taxi_pt = rowtotal(b56f004)
drop b56f004
la var taxi_pt "Taxis & rented vehicles (education & non-education)"
egen otherpublic_pt = rowtotal(b56f007)
drop b56f007
la var otherpublic_pt "Other public & hired transport (education & non-education)"
egen discountedfares_pt = rowtotal(b56f005)
drop b56f005
la var discountedfares_pt "Value of reduced transport tariffs (education & non-education)"
egen furnitureremovals_pt = rowtotal(b56f006)
drop b56f006
la var furnitureremovals_pt "Furniture removal & transport of goods (education & non-education)"
egen busaway_pt = rowtotal(b57f001)
drop b57f001
la var busaway_pt "Bus (away from home)"
egen trainaway_pt = rowtotal(b57f002)
drop b57f002
la var trainaway_pt "Train (away from home)"
egen taxiaway_pt = rowtotal(b57f005)
drop b57f005
la var taxiaway_pt "Taxi, incl. metered & minibus (away from home)"
egen shipaway_pt = rowtotal(b57f003)
drop b57f003
egen planeaway_pt = rowtotal(b57f004)
drop b57f004
la var planeaway_pt "Aircraft (away from home)"
egen rentedaway_pt = rowtotal(b57f007)
drop b57f007
la var rentedaway_pt "Rented vehicles (away from home)"
egen otheraway_pt = rowtotal(b57f006)
drop b57f006
la var otheraway_pt "Other transport (away from home)"
egen Publictransport_tr = rowtotal(*_pt)
la var Publictransport_tr "SUBTOTAL: Public and hired transport"
egen Transport = rowtotal(*_tr)
la var Transport "TOTAL: Transport"
noisily di _col(3) "…TOTAL: Transport compiled"
egen newspapers_np = rowtotal(b62f001)
drop b62f001
la var newspapers_np "Newspapers"
egen magazines_np = rowtotal(b62f002)
drop b62f002
la var magazines_np "Magazines & periodicals"
egen books_np = rowtotal(b62f003)
drop b62f003
la var books_np "Books (excl for academic purposes)"
egen stationery_np = rowtotal(b62f005 b60f010 b61f010)
drop b62f005 b60f010 b61f010
la var stationery_np "Stationery"
egen Reading = rowtotal(*_np)
la var Reading "TOTAL: Newspapers, books and stationery"
noisily di _col(3) "…TOTAL: Newspapers, books and stationery compiled"
replace b07f001 = b07f001*12
replace b07f004 = b07f004*12
egen rent_ho = rowtotal(b07f001 b07f004)
drop b07f001 b07f004
la var rent_ho "Total rent paid or, if rented free, total rent household would pay"
replace b07f005 = b07f005*12
egen levy_ho = rowtotal(b07f005)
drop b07f005
la var levy_ho "Levy paid (sectional title or share-holding scheme)"
replace b07f006 = b07f006*12
egen lodging_ho = rowtotal(b07f006)
drop b07f006
la var lodging_ho "Boarding/lodging paid (permanent only)"
replace b07f007 = b07f007*12
replace b07f008 = b07f008*12
egen repayment_ho = rowtotal(b07f007 b07f008)
drop b07f007 b07f008
la var repayment_ho "Mortgage bond repayment (capital plus interest)"
replace b07f009 = b07f009*12
egen mortgagesubsidy_ho = rowtotal(b07f009)
drop b07f009
la var mortgagesubsidy_ho "Subsidy &/or value of reduction in mortgage bond instalment"
replace b07f010 = b07f010*12
egen rates_ho = rowtotal(b07f010)
drop b07f010
la var rates_ho "Assessment rates & taxes"
replace b07f011 = b07f011*12
replace b07f012 = b07f012*12
replace b07f013 = b07f013*12
replace b07f014 = b07f014*12
replace b07f015 = b07f015*12
replace b07f016 = b07f016*12
replace b07f017 = b07f017*12
egen hservices_ho = rowtotal(b07f011 b07f012 b07f013 b07f014 b07f015 b07f016 b07f017)
drop b07f011 b07f012 b07f013 b07f014 b07f015 b07f016 b07f017
la var hservices_ho "Household services, incl water, electricity, sanitation"
egen addcapital_ho = rowtotal(b07f018)
drop b07f018
la var addcapital_ho "Additional capital payments in respect of mortgage bond"
egen addother_ho = rowtotal(b07f019)
drop b07f019
la var addother_ho "Other additional payments i.r.o. mortgage bond (transfer costs, registration)"
egen maintenance_ho = rowtotal(b07f020)
drop b07f020
la var maintenance_ho "Maintenance & repair of buildings, swimming pools etc (plumbers, electricians)"
egen alterations_ho = rowtotal(b07f021)
drop b07f021
la var alterations_ho "Additions & alterations"
egen buildingmaterials_ho = rowtotal(b07f022)
drop b07f022
la var buildingmaterials_ho "Building materials not included previously (e.g. for building houses)"
egen communalserv_ho = rowtotal(b07f023)
drop b07f023
la var communalserv_ho "Contribution to communal provision of services"
egen landaccess_ho = rowtotal(b07f024)
drop b07f024
la var landaccess_ho "Payment for right to access land"
egen Housing = rowtotal(*_ho)
la var Housing "TOTAL: Housing and housing services"
noisily di _col(3) "…TOTAL: Housing and housing services compiled"
egen netexphhome_rh = rowtotal(b07f027)
drop b07f027
la var netexphhome_rh "Expenses incurred as owner of holiday home, after deduction of letting income"
egen hotels_rh = rowtotal(b07f025)
drop b07f025
la var hotels_rh "Hotels, motels, boarding fees"
egen holidayrent_rh = rowtotal(b07f026)
drop b07f026
la var holidayrent_rh "Rent paid for holiday flat/house, private house, caravan etc"
replace b27f001 = b27f001*12
replace b27f002 = b27f002*12
replace b27f003 = b27f003*12
replace b28f004 = b28f004*12
replace b28f003 = b28f003*12
egen eatingout_rh = rowtotal(b27f001 b27f002 b27f003 b28f004 b28f003)
drop b27f001 b27f002 b27f003 b28f004 b28f003
la var eatingout_rh "Meals, snacks and unmatched beverages consumed in restaurants etc; take-aways"
replace b28f001 = b28f001*12
egen softdrinkson_rh = rowtotal(b28f001)
drop b28f001
la var softdrinkson_rh "Soft drinks (consumed on-site)"
replace b28f002 = b28f002*12
egen springwateron_rh = rowtotal(b28f002)
drop b28f002
la var springwateron_rh "Mineral/spring water (consumed on-site)"
replace b30f001 = b30f001*12
egen spiritson_rh = rowtotal(b30f001)
drop b30f001
la var spiritson_rh "Spirits (consumed on-site)"
replace b30f006 = b30f006*12
egen fortifiedwineon_rh = rowtotal(b30f006)
drop b30f006
la var fortifiedwineon_rh "Fortified wine (consumed on-site)"
replace b30f004 = b30f004*12
egen sorghumbeeron_rh = rowtotal(b30f004)
drop b30f004
la var sorghumbeeron_rh "Sorghum beer (consumed on-site)"
replace b30f002 = b30f002*12
replace b30f005 = b30f005*12
replace b30f003 = b30f003*12
replace b30f007 = b30f007*12
egen otheralcbevon_rh = rowtotal(b30f002 b30f005 b30f003 b30f007)
drop b30f002 b30f005 b30f003 b30f007
la var otheralcbevon_rh "Other alcoholic beverages (consumed on-site)"
egen Restaurant = rowtotal(*_rh)
la var Restaurant "TOTAL: Restaurants and hotels"
noisily di _col(3) "…TOTAL: Restaurants and hotels compiled"
egen medaidself_he = rowtotal(b51f001)
drop b51f001
la var medaidself_he "Medical aid contribution paid by household member"
egen medaidemp_he = rowtotal(b51f002)
drop b51f002
la var medaidemp_he "Medical aid contribution paid by employer"
egen hospitalflatrate_he = rowtotal(b52f001)
drop b52f001
la var hospitalflatrate_he "Flat rate in respect of services & medicine obtained at hospital/clinic"
egen medequip_he = rowtotal(b51f006 b52f008)
drop b51f006 b52f008
la var medequip_he "Therapeutic appliances & equipment (like spectacles & hearing aids)"
egen tradhealers_he = rowtotal(b52f003)
drop b52f003
la var tradhealers_he "Consultations of traditional healers"
egen otherhealth_he = rowtotal(b51f007 b51f003 b51f004 b51f005 b52f002 b52f004 b52f005 b52f006 b52f007)
drop b51f007 b51f003 b51f004 b51f005 b52f002 b52f004 b52f005 b52f006 b52f007
la var otherhealth_he "All other health and medical expenditure"
egen Health = rowtotal(*_he)
la var Health "TOTAL: Health Service and Medical Requisites"
noisily di _col(3) "…TOTAL: Health Service and Medical Requisites compiled"
egen photography_re = rowtotal(b63f005)
drop b63f005
la var photography_re "Photography (cameras, video cameras, projectors, flashes & film)"
egen aircraft_re = rowtotal(b63f006)
drop b63f006
la var aircraft_re "Boats (incl outboard motors), aircraft, go-carts"
egen sportsequip_re = rowtotal(b63f007)
drop b63f007
la var sportsequip_re "Sports equipment (tennis rackets & balls, rifles & ammunition, fishing rods etc)"
egen campingequip_re = rowtotal(b63f008)
drop b63f008
la var campingequip_re "Camping equipment (tents, sleeping bags, etc)"
egen poolmaintenance_re = rowtotal(b64f001 b65f008)
drop b64f001 b65f008
la var poolmaintenance_re "Pool & garden maintenance (excl wages, incl chemicals, pool equipment, repairs)"
egen gardenringreq_re = rowtotal(b64f002)
drop b64f002
la var gardenringreq_re "Gardening requirements (excl equipment): seeds, plants, fertilizer, sprays"
egen petfood_re = rowtotal(b64f003)
drop b64f003
la var petfood_re "Pets (purchase of pets, foods/feeds & other requisites)"
egen petlicences_re = rowtotal(b65f006)
drop b65f006
la var petlicences_re "Pet licences"
egen petcare_re = rowtotal(b65f007)
drop b65f007
la var petcare_re "Pet care (eg doggy parlour; kennels & veterinary costs)"
egen flowers_re = rowtotal(b64f004)
drop b64f004
la var flowers_re "Bouquets & cut flowers for household use"
egen toysgames_re = rowtotal(b64f005)
drop b64f005
la var toysgames_re "Hobbies, toys & games (incl software games)"
egen tickets_re = rowtotal(b65f005)
drop b65f005
la var tickets_re "Admission charges (cinemas, theatres, concerts, swimming pools, sports events)"
egen recreationlessons_re = rowtotal(b65f010)
drop b65f010
la var recreationlessons_re "Fees for lessons connected with recreation, entertainment & sport"
egen photoprints_re = rowtotal(b65f009)
drop b65f009
la var photoprints_re "Film development & photo prints"
egen libraryfees_re = rowtotal(b62f004)
drop b62f004
la var libraryfees_re "Library fees & fines"
egen Recreation = rowtotal(*_re)
la var Recreation "TOTAL: Recreation, entertainment and sport"
noisily di _col(3) "…TOTAL: Recreation, entertainment and sport compiled"
egen daycare_ed = rowtotal(b60f001)
drop b60f001
la var daycare_ed "Tuition: Day-care mothers, creches & playgroups (self)"
egen daycaregrant_ed = rowtotal(b61f001)
drop b61f001
la var daycaregrant_ed "Tuition: Day-care mothers, creches & playgroups (grant)"
egen schoolfees_ed = rowtotal(b60f003)
drop b60f003
la var schoolfees_ed "Tuition: Primary & secondary schools (self)"
egen schoolfeesgrant_ed = rowtotal(b61f003)
drop b61f003
la var schoolfeesgrant_ed "Tuition: Primary & secondary schools (grant)"
egen postschool_ed = rowtotal(b60f004 b60f005)
drop b60f004 b60f005
la var postschool_ed "Tuition: Tertiary/college/educ not definable by level/private tuition (self)"
egen postschoolgrant_ed = rowtotal(b61f004 b61f005)
drop b61f004 b61f005
la var postschoolgrant_ed "Tuition: Tertiary/college/educ not definable by level/private tuition (grant)"
egen othertuition_ed = rowtotal(b60f002 b60f006)
drop b60f002 b60f006
la var othertuition_ed "All other tuition costs (self)"
egen othertuitiongrant_ed = rowtotal(b61f002 b61f006)
drop b61f002 b61f006
la var othertuitiongrant_ed "All other tuition costs (grant)"
egen hostel_ed = rowtotal(b60f007)
drop b60f007
la var hostel_ed "Boarding fees, all institutions (self)"
egen hostelgrant_ed = rowtotal(b61f007)
drop b61f007
la var hostelgrant_ed "Boarding fees, all institutions (grant)"
egen textbooks_ed = rowtotal(b60f009)
drop b60f009
la var textbooks_ed "Textbooks (self)"
egen textbooksgrant_ed = rowtotal(b61f009)
drop b61f009
la var textbooksgrant_ed "Textbooks (grant)"
egen Education = rowtotal(*_ed)
la var Education "TOTAL: Education"
noisily di _col(3) "…TOTAL: Education compiled"
replace b33f001 = b33f001*12
egen hairdressingm_pc = rowtotal(b33f001)
drop b33f001
la var hairdressingm_pc "Hairdressing, beauty care & other personal care services - Male"
replace b33f002 = b33f002*12
egen hairdressingf_pc = rowtotal(b33f002)
drop b33f002
la var hairdressingf_pc "Hairdressing, beauty care & other personal care services - Female"
replace b33f003 = b33f003*12
egen pcareappliances_pc = rowtotal(b33f003)
drop b33f003
la var pcareappliances_pc "Personal care electrical appliances (hairdryers, shavers, etc)"
replace b33f004 = b33f004*12
egen hairpieces_pc = rowtotal(b33f004)
drop b33f004
la var hairpieces_pc "Hair pieces"
replace b33f005 = b33f005*12
egen shampoo_pc = rowtotal(b33f005)
drop b33f005
la var shampoo_pc "Shampoo & conditioners"
replace b33f006 = b33f006*12
egen hairspray_pc = rowtotal(b33f006)
drop b33f006
la var hairspray_pc "Sprays"
replace b33f007 = b33f007*12
egen otherhairprep_pc = rowtotal(b33f007)
drop b33f007
la var otherhairprep_pc "Other hair preparations"
replace b33f015 = b33f015*12
egen dnappies_pc = rowtotal(b33f015)
drop b33f015
la var dnappies_pc "Disposable nappies"
replace b33f016 = b33f016*12
egen tissues_pc = rowtotal(b33f016)
drop b33f016
la var tissues_pc "Tissues"
replace b33f017 = b33f017*12
egen santowels_pc = rowtotal(b33f017)
drop b33f017
la var santowels_pc "Sanitary towels, tampons"
replace b33f009 = b33f009*12
egen toothpaste_pc = rowtotal(b33f009)
drop b33f009
la var toothpaste_pc "Toothpaste, toothbrushes, mouthwash, dental floss"
replace b33f010 = b33f010*12
egen shaving_pc = rowtotal(b33f010)
drop b33f010
la var shaving_pc "Shaving soap & cream, razors & razor blades. aftershave lotions"
replace b33f011 = b33f011*12
egen skincream_pc = rowtotal(b33f011)
drop b33f011
la var skincream_pc "Skin creams, cleansers & lotions; perfumes"
replace b33f013 = b33f013*12
egen deodorant_pc = rowtotal(b33f013)
drop b33f013
la var deodorant_pc "Powder (incl. baby powder) & deodorants"
replace b33f012 = b33f012*12
replace b33f014 = b33f014*12
egen makeup_pc = rowtotal(b33f012 b33f014)
drop b33f012 b33f014
la var makeup_pc "Make-up preparations, not shown elsewhere (eg lipstick, eye shadow etc)"
replace b34f008 = b34f008*12
egen toiletpaper_pc = rowtotal(b34f008)
drop b34f008
la var toiletpaper_pc "Toilet paper"
replace b33f008 = b33f008*12
egen soap_pc = rowtotal(b33f008)
drop b33f008
la var soap_pc "Body soap, bubble bath, bath oils & bath salts"
egen Personalcare = rowtotal(*_pc)
la var Personalcare "TOTAL: Personal care"
noisily di _col(3) "…TOTAL: Personal care compiled"
egen watches_pe = rowtotal(b66f001)
drop b66f001
la var watches_pe "Watches & personal jewellery"
egen bags_pe = rowtotal(b66f002)
drop b66f002
la var bags_pe "Handbags, travelling bags, school bags"
egen miscgoods_pe = rowtotal(b66f003 b66f004)
drop b66f003 b66f004
la var miscgoods_pe "Other misc. goods & repairs (incl. articles for babies; umbrellas, sunglasses)"
egen Personaleffects = rowtotal(*_pe)
la var Personaleffects "TOTAL: Personal effects n.e.c."
noisily di _col(3) "…TOTAL: Personal effects n.e.c. compiled"
egen remittances_fg = rowtotal(b67f001)
drop b67f001
la var remittances_fg "Maintenance of family/dependents living elsewhere, incl alimony (cash & in-kind)"
egen memberfees_fg = rowtotal(b67f004)
drop b67f004
la var memberfees_fg "Membership fees (unions, associations, societies)"
egen gymfees_fg = rowtotal(b67f005)
drop b67f005
la var gymfees_fg "Membership fees for gymnasiums; health; sport & social clubs"
egen exhhgifts_fg = rowtotal(b67f002)
drop b67f002
la var exhhgifts_fg "Gifts to non-household members (cash & in-kind)"
egen Feesandgifts = rowtotal(*_fg)
la var Feesandgifts "TOTAL: Membership fees, remittances, donations, gifts"
noisily di _col(3) "…TOTAL: Membership fees, remittances, donations, gifts compiled"
egen bankcharges_fc = rowtotal(b69f001)
drop b69f001
la var bankcharges_fc "Bank charges"
egen otherinterest_fc = rowtotal(b69f002)
drop b69f002
la var otherinterest_fc "Interest & finance charges"
egen overdraftrepaid_fc = rowtotal(b69f003)
drop b69f003
la var overdraftrepaid_fc "Repayments on loans & overdrafts (excl. instalments shown elsewhere)"
egen funeralpolicy_fc = rowtotal(b69f005)
drop b69f005
la var funeralpolicy_fc "Funeral policies"
egen medinsurance_fc = rowtotal(b69f007)
drop b69f007
la var medinsurance_fc "Medical insurance"
egen bldginsurance_fc = rowtotal(b69f008)
drop b69f008
la var bldginsurance_fc "Insurance of buildings"
egen lifeinsurancemd_fc = rowtotal(b69f009)
drop b69f009
la var lifeinsurancemd_fc "Life insurance covering mortgage debt"
egen continsurance_fc = rowtotal(b69f010)
drop b69f010
la var continsurance_fc "Insurance on contents of dwellings (excl. package insurance)"
egen carinsurance_fc = rowtotal(b69f011)
drop b69f011
la var carinsurance_fc "Insurance for private transport (excl. package insurance)"
egen pkginsurance_fc = rowtotal(b69f012)
drop b69f012
la var pkginsurance_fc "Package insurance (comprehensive insurance)"
egen pensionself_fc = rowtotal(b69f013)
drop b69f013
la var pensionself_fc "Contributions to pension, provident & annuity funds (self-paid)"
egen pensionemp_fc = rowtotal(b69f014)
drop b69f014
la var pensionemp_fc "Contributions to pension, provident & annuity funds (paid by employer)"
egen stokvel_fc = rowtotal(b69f015)
drop b69f015
la var stokvel_fc "Contributions to stokvel"
egen Finance = rowtotal(*_fc)
la var Finance "TOTAL: Finance and bank charges, Insurance"
noisily di _col(3) "…TOTAL: Finance and bank charges, Insurance compiled"
egen professionals_ot = rowtotal(b70f001)
drop b70f001
la var professionals_ot "Professional fees (legal fees, architects, etc.)"
egen funeralexp_ot = rowtotal(b70f003)
drop b70f003
la var funeralexp_ot "Funeral expenses"
egen gravestones_ot = rowtotal(b70f004)
drop b70f004
la var gravestones_ot "Gravestones and maintenance of graves (excl unveiling)"
egen Otherexp = rowtotal(*_ot)
la var Otherexp "TOTAL: All other matched expenditure"
noisily di _col(3) "…TOTAL: All other matched expenditure compiled"
replace b34f010 = b34f010*12
replace b33f018 = b33f018*12
replace b32f004 = b32f004*12
egen unmatchedgoods_xx = rowtotal(b53f005 b54f005 b64f006 b63f009 b50f005 b50f002 b50f003 b34f010 b33f018 b32f004)
drop b53f005 b54f005 b64f006 b63f009 b50f005 b50f002 b50f003 b34f010 b33f018 b32f004
la var unmatchedgoods_xx "All remaining unmatched expenditure on goods"
egen unmatchedfinancial_xx = rowtotal(b69f004 b69f006 b69f016 b69f017 b69f018)
drop b69f004 b69f006 b69f016 b69f017 b69f018
la var unmatchedfinancial_xx "All remaining unmatched expenditure on financial services"
egen unmatchedtax_xx = rowtotal(b68f001 b68f002)
drop b68f001 b68f002
la var unmatchedtax_xx "All remaining unmatched expenditure on taxes"
replace b35f006 = b35f006*12
replace b35f004 = b35f004*12
replace b35f002 = b35f002*12
replace b35f005 = b35f005*12
egen unmatchedother_xx = rowtotal(b70f002 b70f005 b70f006 b65f011 b63f010 b60f011 b35f006 b35f004 b35f002 b35f005 b67f006 b70f007 b71f001 b67f007 b67f008 b60f008 b67f003 b70f008 b61f011 b61f008 b55f001)
drop b70f002 b70f005 b70f006 b65f011 b63f010 b60f011 b35f006 b35f004 b35f002 b35f005 b67f006 b70f007 b71f001 b67f007 b67f008 b60f008 b67f003 b70f008 b61f011 b61f008 b55f001
la var unmatchedother_xx "All remaining unmatched expenditure"
egen Unmatchedexp = rowtotal(*_xx)
la var Unmatchedexp "TOTAL: All other unmatched expenditure"
noisily di _col(3) "…TOTAL: All other unmatched expenditure compiled"
drop b07f002
drop b07f003
drop b07f100
drop b07f200
drop b15f100
drop b17f100
drop b18f100
drop b19f100
drop b20f100
drop b21f100
drop b22f100
drop b23f100
drop b24f100
drop b25f100
drop b26f100
drop b27f100
drop b27f200
drop b28f100
drop b29f100
drop b30f100
drop b31f100
drop b32f100
drop b33f100
drop b34f100
drop b35f100
drop b36f100
drop b37f009
drop b37f100
drop b38f100
drop b39f009
drop b39f100
drop b40f100
drop b41f100
drop b42f100
drop b43f100
drop b44f100
drop b45f100
drop b46f100
drop b47f100
drop b48f100
drop b49f100
drop b50f100
drop b51f100
drop b52f100
drop b53f100
drop b54f100
drop b55f100
drop b56f100
drop b57f100
drop b58f100
drop b59f100
drop b60f100
drop b61f100
drop b62f100
drop b63f100
drop b64f100
drop b65f100
drop b66f100
drop b67f100
drop b68f100
drop b69f100
drop b70f100
