egen bond_de = rowtotal(b82f001)
drop b82f001
la var bond_de "Bond (outstanding amount)"
egen carfinance_de = rowtotal(b82f002)
drop b82f002
la var carfinance_de "Motor vehicle loan (outstanding amount)"
egen hirepurchase_de = rowtotal(b82f003)
drop b82f003
la var hirepurchase_de "Furniture & appliances (outstanding amount)"
egen overdraft_de = rowtotal(b82f004)
drop b82f004
la var overdraft_de "Bank overdraft, credit cards (outstanding amount)"
egen retailacc_de = rowtotal(b82f005)
drop b82f005
la var retailacc_de "Retail store accounts (outstanding amount)"
egen familyloan_de = rowtotal(b82f006)
drop b82f006
la var familyloan_de "Loans from family/friends (outstanding amount)"
egen Debts = rowtotal(*_de)
la var Debts "TOTAL: Debts"
egen _unmatcheddebts = rowtotal(zero)
la var _unmatcheddebts "All other unmatched debts"
drop b82f100
