egen bond_de = rowtotal(p2300q01)
drop p2300q01
la var bond_de "Bond (outstanding amount)"
egen carfinance_de = rowtotal(p2300q02)
drop p2300q02
la var carfinance_de "Motor vehicle loan (outstanding amount)"
egen hirepurchase_de = rowtotal(p2300q03)
drop p2300q03
la var hirepurchase_de "Furniture & appliances (outstanding amount)"
egen overdraft_de = rowtotal(p2300q04)
drop p2300q04
la var overdraft_de "Bank overdraft, credit cards (outstanding amount)"
egen retailacc_de = rowtotal(p2300q05)
drop p2300q05
la var retailacc_de "Retail store accounts (outstanding amount)"
egen familyloan_de = rowtotal(p2300q06)
drop p2300q06
la var familyloan_de "Loans from family/friends (outstanding amount)"
egen Debts = rowtotal(*_de)
la var Debts "TOTAL: Debts"
egen _unmatcheddebts = rowtotal(zero)
la var _unmatcheddebts "All other unmatched debts"
