egen bond_de = rowtotal(exp70101000 exp70121000)
drop exp70101000 exp70121000
la var bond_de "Bond (outstanding amount)"
egen carfinance_de = rowtotal(exp70210000)
drop exp70210000
la var carfinance_de "Motor vehicle loan (outstanding amount)"
egen hirepurchase_de = rowtotal(exp70510000)
drop exp70510000
la var hirepurchase_de "Furniture & appliances (outstanding amount)"
egen overdraft_de = rowtotal(exp70310000)
drop exp70310000
la var overdraft_de "Bank overdraft, credit cards (outstanding amount)"
egen retailacc_de = rowtotal(exp70610000)
drop exp70610000
la var retailacc_de "Retail store accounts (outstanding amount)"
egen familyloan_de = rowtotal(exp70710000)
drop exp70710000
la var familyloan_de "Loans from family/friends (outstanding amount)"
egen Debts = rowtotal(*_de)
la var Debts "TOTAL: Debts"
egen _unmatcheddebts = rowtotal(exp70111000 exp70810000 exp70910000 exp70410000)
drop exp70111000 exp70810000 exp70910000 exp70410000
la var _unmatcheddebts "All other unmatched debts"
drop exp70100000
drop exp70110000
drop exp70200000
drop exp70300000
drop exp70400000
drop exp70500000
drop exp70600000
drop exp70700000
drop exp70800000
drop exp70900000
drop exp70120000
