egen bond_de = rowtotal(exp70100000)
drop exp70100000
la var bond_de "Bond (outstanding amount)"
egen carfinance_de = rowtotal(exp70200000)
drop exp70200000
la var carfinance_de "Motor vehicle loan (outstanding amount)"
egen hirepurchase_de = rowtotal(exp70500000)
drop exp70500000
la var hirepurchase_de "Furniture & appliances (outstanding amount)"
egen overdraft_de = rowtotal(exp70300000)
drop exp70300000
la var overdraft_de "Bank overdraft, credit cards (outstanding amount)"
egen retailacc_de = rowtotal(exp70600000)
drop exp70600000
la var retailacc_de "Retail store accounts (outstanding amount)"
egen familyloan_de = rowtotal(exp70700000)
drop exp70700000
la var familyloan_de "Loans from family/friends (outstanding amount)"
egen Debts = rowtotal(*_de)
la var Debts "TOTAL: Debts"
egen _unmatcheddebts = rowtotal(exp70110000 exp70400000 exp70800000 exp70900000)
drop exp70110000 exp70400000 exp70800000 exp70900000
la var _unmatcheddebts "All other unmatched debts"
