egen cakeflour_gr = rowtotal(exp1116102 exp1116103)
drop exp1116102 exp1116103
la var cakeflour_gr "Cake flour; self-raising flour"
egen breadflour_gr = rowtotal(exp1116104)
drop exp1116104
la var breadflour_gr "Bread flour"
egen mealiemeal_gr = rowtotal(exp1116101)
drop exp1116101
la var mealiemeal_gr "Mealie meal; maize flour"
egen sorghummeal_gr = rowtotal(exp1116105)
drop exp1116105
la var sorghummeal_gr "Sorghum meal/powder"
egen rice_gr = rowtotal(exp1111101)
drop exp1111101
la var rice_gr "Rice"
egen samp_gr = rowtotal(exp1116401 exp1116402)
drop exp1116401 exp1116402
la var samp_gr "Mealie rice; samp"
egen whitebread_gr = rowtotal(exp1112101)
drop exp1112101
la var whitebread_gr "White bread"
egen brownbread_gr = rowtotal(exp1112102 exp1112104)
drop exp1112102 exp1112104
la var brownbread_gr "Brown & wholewheat bread"
egen pasta_gr = rowtotal(exp1113101 exp1113102 exp1113103)
drop exp1113101 exp1113102 exp1113103
la var pasta_gr "Spaghetti; macaroni; other pasta"
egen otherflour_gr = rowtotal(exp1116106 exp1116107)
drop exp1116106 exp1116107
la var otherflour_gr "Corn flour; other meal and flour"
egen cereals_gr = rowtotal(exp1116201 exp1116202 exp1116301 exp1116302 exp1116303 exp1116304)
drop exp1116201 exp1116202 exp1116301 exp1116302 exp1116303 exp1116304
la var cereals_gr "Breakfast cereals (incl taystee wheat; mabella; cornflakes; puffed rice; muesli)"
egen otherbread_gr = rowtotal(exp1112103 exp1112105 exp1112201)
drop exp1112103 exp1112105 exp1112201
la var otherbread_gr "Other bread (incl garlic bread; other bread loaves; bread rolls)"
egen otherbaked_gr = rowtotal(exp1112301 exp1112302 exp1112303 exp1112304 exp1112305 exp1114101 exp1114102 exp1114103)
drop exp1112301 exp1112302 exp1112303 exp1112304 exp1112305 exp1114101 exp1114102 exp1114103
la var otherbaked_gr "Other baked products (incl rusks; biscuits; crackers; cakes; tarts; vetkoek)"
egen babyfood_gr = rowtotal(exp1193101)
drop exp1193101
la var babyfood_gr "Baby food (predominantly grain)"
egen othergrain_gr = rowtotal(exp1116501 exp1115101)
drop exp1116501 exp1115101
la var othergrain_gr "Other grain products (incl sandwiches, pies, excl meat/fruit pies)"
egen Grain_fo = rowtotal(*_gr)
la var Grain_fo "SUBTOTAL: Grain products"
egen beef_me = rowtotal(exp1121000)
drop exp1121000
la var beef_me "Beef & veal (incl heads & feet)"
egen mutton_me = rowtotal(exp1123000 exp1123200 exp1123300)
drop exp1123000 exp1123200 exp1123300
la var mutton_me "Mutton, lamb & goat (incl heads & feet)"
egen pork_me = rowtotal(exp1122000)
drop exp1122000
la var pork_me "Pork (incl heads & feet)"
egen poultry_me = rowtotal(exp1124100)
drop exp1124100
la var poultry_me "Poultry (incl heads & feet)"
egen boerewors_me = rowtotal(exp1125101)
drop exp1125101
la var boerewors_me "Boerewors"
egen sausage_me = rowtotal(exp1125102 exp1125103 exp1125104)
drop exp1125102 exp1125103 exp1125104
la var sausage_me "Other sausages (pork, beef, chicken, game etc)"
egen coldmeats_me = rowtotal(exp1125201 exp1125202 exp1125203 exp1125205)
drop exp1125201 exp1125202 exp1125203 exp1125205
la var coldmeats_me "Cold meats (viennas, polony, ham, other processed meat)"
egen biltong_me = rowtotal(exp1125301 exp1125302)
drop exp1125301 exp1125302
la var biltong_me "Biltong & dried sausages"
egen bacon_me = rowtotal(exp1125204)
drop exp1125204
la var bacon_me "Bacon"
egen babyfood_me = rowtotal(exp1193102)
drop exp1193102
la var babyfood_me "Baby food (predominantly meat)"
egen othermeat_me = rowtotal(exp1125303 exp1126101 exp1126102 exp1126501 exp1126601 exp1127100)
drop exp1125303 exp1126101 exp1126102 exp1126501 exp1126601 exp1127100
la var othermeat_me "Other meat & meat products"
egen Meat_fo = rowtotal(*_me)
la var Meat_fo "SUBTOTAL: Meat products"
egen freshfish_fi = rowtotal(exp1131100)
drop exp1131100
la var freshfish_fi "Fresh or chilled fish"
egen otherfish_fi = rowtotal(exp1133101 exp1133201 exp1134301 exp1134302 exp1134303 exp1131200 exp1132100 exp1132201 exp1132202 exp1132203 exp1134101 exp1134102 exp1134103 exp1134201 exp1134400)
drop exp1133101 exp1133201 exp1134301 exp1134302 exp1134303 exp1131200 exp1132100 exp1132201 exp1132202 exp1132203 exp1134101 exp1134102 exp1134103 exp1134201 exp1134400
la var otherfish_fi "Canned, dried, smoked fish; fish paste"
egen Fish_fo = rowtotal(*_fi)
la var Fish_fo "SUBTOTAL: Fish & other seafood"
egen freshmilk_mi = rowtotal(exp1141101 exp1142101)
drop exp1141101 exp1142101
la var freshmilk_mi "Fresh milk (full cream, low fat)"
egen longlifemilk_mi = rowtotal(exp1141201 exp1142201)
drop exp1141201 exp1142201
la var longlifemilk_mi "Longlife milk (full cream, low fat)"
egen condensedmilk_mi = rowtotal(exp1143101 exp1143201)
drop exp1143101 exp1143201
la var condensedmilk_mi "Condensed milk; evaporated milk"
egen powderedmilk_mi = rowtotal(exp1143301 exp1143401)
drop exp1143301 exp1143401
la var powderedmilk_mi "Powdered milk; Whiteners (eg Cremora)"
egen cheese_mi = rowtotal(exp1145101 exp1145201 exp1145301 exp1145401 exp1145501 exp1145601)
drop exp1145101 exp1145201 exp1145301 exp1145401 exp1145501 exp1145601
la var cheese_mi "Cheese and cottage cheese"
egen cream_mi = rowtotal(exp1144101 exp1144201 exp1146101)
drop exp1144101 exp1144201 exp1146101
la var cream_mi "Cream and yoghurt"
egen sourmilk_mi = rowtotal(exp1146201 exp1146301)
drop exp1146201 exp1146301
la var sourmilk_mi "Sour milk; maas; buttermilk"
egen eggs_mi = rowtotal(exp1147101 exp1147201 exp1147301 exp1147401)
drop exp1147101 exp1147201 exp1147301 exp1147401
la var eggs_mi "Eggs (incl egg powder)"
egen babyfood_mi = rowtotal(exp1193105)
drop exp1193105
la var babyfood_mi "Baby food (predominantly milk)"
egen othermilk_mi = rowtotal(exp1146401 exp1146501 exp1146601 exp1146701)
drop exp1146401 exp1146501 exp1146601 exp1146701
la var othermilk_mi "Other milk and cheese products (incl milk substitutes, eg soya milk)"
egen Milk_fo = rowtotal(*_mi)
la var Milk_fo "SUBTOTAL: Milk, cheese and eggs"
egen butter_fa = rowtotal(exp1151101)
drop exp1151101
la var butter_fa "Butter and butter oil"
egen margarine_fa = rowtotal(exp1152101 exp1152102 exp1152103)
drop exp1152101 exp1152102 exp1152103
la var margarine_fa "Margarine and medium, low fat spreads"
egen cookingoil_fa = rowtotal(exp1153100 exp1154101)
drop exp1153100 exp1154101
la var cookingoil_fa "Cooking and salad oils (excl. salad dressing)"
egen peanutbutter_fa = rowtotal(exp1152201)
drop exp1152201
la var peanutbutter_fa "Peanut butter"
egen otherfats_fa = rowtotal(exp1152301 exp1155101)
drop exp1152301 exp1155101
la var otherfats_fa "Other fats and oils (eg lard)"
egen Fats_fo = rowtotal(*_fa)
la var Fats_fo "SUBTOTAL: Oils and fats"
egen lettuce_ve = rowtotal(exp1171101)
drop exp1171101
la var lettuce_ve "Lettuce (fresh)"
egen cabbage_ve = rowtotal(exp1172101)
drop exp1172101
la var cabbage_ve "Cabbage (fresh)"
egen mealies_ve = rowtotal(exp1173101)
drop exp1173101
la var mealies_ve "Green mealies (fresh)"
egen tomatoes_ve = rowtotal(exp1173102)
drop exp1173102
la var tomatoes_ve "Tomatoes (fresh)"
egen carrots_ve = rowtotal(exp1174102)
drop exp1174102
la var carrots_ve "Carrots (fresh)"
egen greenbeans_ve = rowtotal(exp1173103)
drop exp1173103
la var greenbeans_ve "Green beans (fresh)"
egen pumpkin_ve = rowtotal(exp1173104 exp1173105 exp1173106)
drop exp1173104 exp1173105 exp1173106
la var pumpkin_ve "Pumpkin, marrows, gem squash (fresh)"
egen frozenpeas_ve = rowtotal(exp1173210)
drop exp1173210
la var frozenpeas_ve "Peas (frozen)"
egen frozencarrots_ve = rowtotal(exp1174202)
drop exp1174202
la var frozencarrots_ve "Carrots (frozen)"
egen driedpeas_ve = rowtotal(exp1175101 exp1175201 exp1175301)
drop exp1175101 exp1175201 exp1175301
la var driedpeas_ve "Dried peas, beans, lentils"
egen cannedveg_ve = rowtotal(exp1176101 exp1176102 exp1176103 exp1176104 exp1176106 exp1176107)
drop exp1176101 exp1176102 exp1176103 exp1176104 exp1176106 exp1176107
la var cannedveg "Canned vegetables"
egen frozenbeans_ve = rowtotal(exp1173203)
drop exp1173203
la var frozenbeans_ve "Frozen beans"
egen otherveg_ve = rowtotal(exp1178201 exp1172102 exp1172103 exp1172201 exp1173107 exp1173108 exp1173109 exp1173188 exp1173191 exp1171102 exp1173201 exp1173204 exp1173288 exp1173299 exp1174101 exp1174103 exp1174104 exp1175401 exp1176105 exp1176110 exp1176201 exp1178101 exp1178307)
drop exp1177101 exp1178201 exp1172102 exp1172103 exp1172201 exp1173107 exp1173108 exp1173109 exp1173188 exp1173191 exp1171102 exp1173201 exp1173204 exp1173288 exp1173299 exp1174101 exp1174103 exp1174104 exp1175401 exp1176105 exp1176110 exp1176201 exp1178101 exp1178307
la var otherveg_ve "All other vegetables & vegetable products"
egen popcorn_ve = rowtotal(exp1178304 exp1178305)
drop exp1178304 exp1178305
la var popcorn_ve "Pop corn, kernels & prepared"
egen crisps_ve = rowtotal(exp1178301 exp1178302 exp1178303)
drop exp1178301 exp1178302 exp1178303
la var crisps_ve "Potato crisps, other chips"
egen babyfood_ve = rowtotal(exp1193103)
drop exp1193103
la var babyfood_ve "Baby food (predominantly veg)"
egen Vegetables_fo = rowtotal(*_ve)
la var Vegetables_fo "SUBTOTAL: Vegetables"
egen oranges_fr = rowtotal(exp1161101)
drop exp1161101
la var oranges_fr "Oranges"
egen citrus_fr = rowtotal(exp1161201 exp1161301 exp1161401 exp1161501)
drop exp1161201 exp1161301 exp1161401 exp1161501
la var citrus_fr "Other citrus fruit"
egen bananas_fr = rowtotal(exp1162101)
drop exp1162101
la var bananas_fr "Bananas"
egen subtropical_fr = rowtotal(exp1165401 exp1167401 exp1167301 exp1167101 exp1167201 exp1167701)
drop exp1165401 exp1167401 exp1167301 exp1167101 exp1167201 exp1167701
la var subtropical "Other subtropical fruit"
egen apples_fr = rowtotal(exp1163101)
drop exp1163101
la var apples_fr "Apples"
egen deciduous_fr = rowtotal(exp1164101 exp1165101 exp1165201 exp1165301 exp1166101 exp1165501 exp1165601)
drop exp1164101 exp1165101 exp1165201 exp1165301 exp1166101 exp1165501 exp1165601
la var deciduous_fr "Other deciduous fruit"
egen otherfruits_fr = rowtotal(exp1166201 exp1166301 exp1167501 exp1167601)
drop exp1166201 exp1166301 exp1167501 exp1167601
la var otherfruits_fr "Other fruits (incl strawberries, watermelon, melon)"
egen driedfruit_fr = rowtotal(exp1168101 exp1168102 exp1168103 exp1168104 exp1168105 exp1168106)
drop exp1168101 exp1168102 exp1168103 exp1168104 exp1168105 exp1168106
la var driedfruit "Dried fruit"
egen nuts_fr = rowtotal(exp1168201 exp1168202 exp1168203 exp1168204 exp1168205 exp1168206)
drop exp1168201 exp1168202 exp1168203 exp1168204 exp1168205 exp1168206
la var nuts "Nuts"
egen cannedfruit_fr = rowtotal(exp1169101 exp1169102 exp1169103 exp1169104 exp1169105)
drop exp1169101 exp1169102 exp1169103 exp1169104 exp1169105
la var cannedfruit_fr "Nuts"
egen babyfood_fr = rowtotal(exp1193104)
drop exp1193104
la var babyfood_fr "Baby food (predominantly fruit)"
egen otherfruitprod_fr = rowtotal(exp1169106)
drop exp1169106
la var otherfruitprod_fr "All other fruit and nut products, excl peanut butter (e.g. lemon juice)"
egen Fruit_fo = rowtotal(*_fr)
la var Fruit_fo "SUBTOTAL: Fruit and Nuts"
egen whitesugar_su = rowtotal(exp1181101)
drop exp1181101
la var whitesugar_su "White sugar"
egen brownsugar_su = rowtotal(exp1181102)
drop exp1181102
la var brownsugar_su "Brown sugar"
egen othersugar_su = rowtotal(exp1181103 exp1181104 exp1181301 exp1186301)
drop exp1181103 exp1181104 exp1181301 exp1186301
la var othersugar_su "Other sugar products (icing sugar etc)"
egen sweeteners_su = rowtotal(exp1181201)
drop exp1181201
la var sweeteners_su "Sweeteners"
egen honey_su = rowtotal(exp1182101 exp1186201)
drop exp1182101 exp1186201
la var honey_su "Syrup & honey"
egen jams_su = rowtotal(exp1182201 exp1182202 exp1182203 exp1182204 exp1182205 exp1182206)
drop exp1182201 exp1182202 exp1182203 exp1182204 exp1182205 exp1182206
la var jams_su "Jam"
egen chocolates_su = rowtotal(exp1183101 exp1183102 exp1183201 exp1183301)
drop exp1183101 exp1183102 exp1183201 exp1183301
la var chocolates_su "Chocolate"
egen othersweets_su = rowtotal(exp1184101 exp1184201 exp1184301 exp1184401)
drop exp1184101 exp1184201 exp1184301 exp1184401
la var othersweets_su "Other sweets incl health bars"
egen jelly_su = rowtotal(exp1186101)
drop exp1186101
la var jelly_su "Jelly powder"
egen icecream_su = rowtotal(exp1185101 exp1185102 exp1185103 exp1185105)
drop exp1185101 exp1185102 exp1185103 exp1185105
la var icecream_su "Ice-cream"
egen Sugar_fo = rowtotal(*_su)
la var Sugar_fo "SUBTOTAL: Sugar, jam, honey, chocolate & confectionery"
egen vinegar_fn = rowtotal(exp1191101)
drop exp1191101
la var vinegar_fn "Vinegar"
egen saltpepper_fn = rowtotal(exp1192101 exp1192201 exp1192202)
drop exp1192101 exp1192201 exp1192202
la var saltpepper_fn "Salt & pepper"
egen spices_fn = rowtotal(exp1192203 exp1192301 exp1192302 exp1192304 exp1192305 exp1192401 exp1192501)
drop exp1192203 exp1192301 exp1192302 exp1192304 exp1192305 exp1192401 exp1192501
la var spices_fn "Herbs & spices"
egen soups_fn = rowtotal(exp1193201 exp1193202 exp1126401 exp1126402)
drop exp1193201 exp1193202 exp1126401 exp1126402
la var soups_fn "Canned soup, soup powders & meat extract cubes"
egen custard_fn = rowtotal(exp1193301 exp1193306)
drop exp1193301 exp1193306
la var custard_fn "Custard powder & Instant pudding powder"
egen yeast_fn = rowtotal(exp1193302 exp1193303 exp1193304)
drop exp1193302 exp1193303 exp1193304
la var yeast_fn "Yeast, baking powder and bicarbonate of soda"
egen chutney_fn = rowtotal(exp1191201 exp1176108 exp1176109 exp1191301 exp1191401 exp1191501 exp1191601 exp1191701)
drop exp1191201 exp1176108 exp1176109 exp1191301 exp1191401 exp1191501 exp1191601 exp1191701
la var chutney_fn "Chutney, pickles, sauces, mustard, tomato sauce & mayonnaise"
egen allotherfood_fn = rowtotal(exp1999999 exp1185104 exp1193305 exp1194101 exp1195000)
drop exp1999999 exp1185104 exp1193305 exp1194101 exp1195000
la var allotherfood_fn "All other food (incl all unmatched food items)"
egen Foodnec_fo = rowtotal(*_fn)
la var Foodnec_fo "SUBTOTAL: Food not elsewhere classified"
egen Food = rowtotal(*_fo)
la var Food "TOTAL: Food"
noisily di _col(3) "…TOTAL: Food compiled"
egen instantcoffee_co = rowtotal(exp1211101)
drop exp1211101
la var instantcoffee_co "Instant coffee"
egen groundcoffee_co = rowtotal(exp1211201 exp1211301)
drop exp1211201 exp1211301
la var groundcoffee_co "Ground coffee & coffee beans"
egen ceylontea_co = rowtotal(exp1212101 exp1212102 exp1212103)
drop exp1212101 exp1212102 exp1212103
la var ceylontea_co "Ceylon tea (leaves & bags)"
egen rooibostea_co = rowtotal(exp1212201 exp1212202 exp1212300 exp1212401)
drop exp1212201 exp1212202 exp1212300 exp1212401
la var rooibostea_co "Rooibos & herbal teas (leaves & bags)"
egen cocoa_co = rowtotal(exp1213101 exp1213201 exp1213301)
drop exp1213101 exp1213201 exp1213301
la var cocoa_co "Cocoa & other warm drinks"
egen Coffee_nb = rowtotal(*_co)
la var Coffee_nb "SUBTOTAL: Coffee, tea and cocoa"
egen softdrinks_cd = rowtotal(exp1222101)
drop exp1222101
la var softdrinks_cd "Soft drinks"
egen springwater_cd = rowtotal(exp1221100)
drop exp1221100
la var springwater_cd "Mineral/spring water"
egen juice_cd = rowtotal(exp1223101 exp1223102 exp1224101 exp1225101)
drop exp1223101 exp1223102 exp1224101 exp1225101
la var juice_cd "Fruit juices, nectar, fruit drinks, concentrates & dairy fruit juice mixtures"
egen othcooldrink_cd = rowtotal(exp1222102)
drop exp1222102
la var othcooldrink_cd "Other cooldrinks (incl flavoured syrups)"
egen Colddrink_nb = rowtotal(*_cd)
la var Colddrink_nb "SUBTOTAL: Mineral water, soft drinks, fruit and vegetable juices"
egen Nonalcoholic = rowtotal(*_nb)
la var Nonalcoholic "TOTAL: Non-Alcoholic Beverages"
noisily di _col(3) "…TOTAL: Non-Alcoholic Beverages compiled"
egen spirits_al = rowtotal(exp2111100)
drop exp2111100
la var spirits_al "Spirits (such as brandy; whisky gin; liqueurs)"
egen fortifiedwine_al = rowtotal(exp2121300)
drop exp2121300
la var fortifiedwine_al "Fortified wines (sherry, port etc)"
egen sorghumbeer_al = rowtotal(exp2131201 exp2131301)
drop exp2131201 exp2131301
la var sorghumbeer_al "Sorghum beer (traditional or pre-packed)"
egen otheralcbev_al = rowtotal(exp2121100 exp2121201 exp2122100 exp2122200 exp2131100)
drop exp2121100 exp2121201 exp2122100 exp2122200 exp2131100
la var otheralcbev_al "All other alcoholic beverages"
egen Alcohol = rowtotal(*_al)
la var Alcohol "TOTAL: Alcoholic beverages"
noisily di _col(3) "…TOTAL: Alcoholic beverages compiled"
egen cigarettes_to = rowtotal(exp2211100)
drop exp2211100
la var cigarettes_to "Cigarettes"
egen cigars_to = rowtotal(exp2212100)
drop exp2212100
la var cigars_to "Cigars and cigarillos"
egen tobaccos_to = rowtotal(exp2213100 exp2213200 exp2213300)
drop exp2213100 exp2213200 exp2213300
la var tobaccos_to "Pipe, cigarette and chewing tobacco; snuff; other smoked items"
egen Tobacco = rowtotal(*_to)
la var Tobacco "TOTAL: Cigarettes, cigars, tobacco & smokers' requisites"
noisily di _col(3) "…TOTAL: Cigarettes, cigars, tobacco & smokers' requisites compiled"
egen clothes_cl = rowtotal(exp3122001 exp3123200 exp3123400 exp3123500 exp3126000 exp3131001)
drop exp3121001 exp3122001 exp3123200 exp3123400 exp3123500 exp3126000 exp3131001
la var clothes_cl "Clothing (men's, women's, boys', girls')"
egen babyclothes_cl = rowtotal(exp3123100)
drop exp3123100
la var babyclothes_cl "Baby clothes"
egen shoes_cl = rowtotal(exp3211002 exp3211003 exp3212001 exp3213100 exp3213200 exp3213300 exp3213400)
drop exp3211001 exp3211002 exp3211003 exp3212001 exp3213100 exp3213200 exp3213300 exp3213400
la var shoes_cl "Shoes (men's, women's, boys', girls')"
egen babyshoes_cl = rowtotal(exp3213500)
drop exp3213500
la var babyshoes_cl "Baby shoes"
egen material_cl = rowtotal(exp3111100)
drop exp3111100
la var material_cl "Material for clothing"
egen knittingwool_cl = rowtotal(exp3131101)
drop exp3131101
la var knittingwool_cl "Knitting wool & yarns"
egen sewingcotton_cl = rowtotal(exp3131102)
drop exp3131102
la var sewingcotton_cl "Patterns, trimming lace, sewing cotton etc"
egen clothingrepairs_cl = rowtotal(exp3141200 exp3122002)
drop exp3141200 exp3122002
la var clothingrepairs_cl "Labour cost for making/knitting of clothing & repairs/alterations to clothing"
egen clothinghire_cl = rowtotal(exp3141300)
drop exp3141300
la var clothinghire_cl "Cost of the hire of clothing"
egen Clothing = rowtotal(*_cl)
la var Clothing "TOTAL: Clothing and footwear"
noisily di _col(3) "…TOTAL: Clothing and footwear compiled"
egen firewood_fu = rowtotal(exp4541101)
drop exp4541101
la var firewood_fu "Firewood"
egen charcoal_fu = rowtotal(exp4541201)
drop exp4541201
la var charcoal_fu "Charcoal"
egen paraffin_fu = rowtotal(exp4531101)
drop exp4531101
la var paraffin_fu "Paraffin"
egen gascylinders_fu = rowtotal(exp4522102)
drop exp4522102
la var gascylinders_fu "Gas in cylinders (incl gas for heating purposes)"
egen candles_fu = rowtotal(exp4541301)
drop exp4541301
la var candles_fu "Candles"
egen coal_fu = rowtotal(exp4541401)
drop exp4541401
la var coal_fu "Coal (incl anthracite)"
egen meths_fu = rowtotal(exp5612500)
drop exp5612500
la var meths_fu "Methylated spirits; fuel for lawnmowers & generators for heating"
egen dung_fu = rowtotal(exp4541501)
drop exp4541501
la var dung_fu "Dung"
egen drycells_fu = rowtotal(exp5521201)
drop exp5521201
la var drycells_fu "Dry-cells (batteries)"
egen recharging_fu = rowtotal(exp5521202)
drop exp5521202
la var recharging_fu "Recharging of rechargeable cells"
egen otherhhfuel_fu = rowtotal(exp4531102 exp4531103 exp4541710)
drop exp4531102 exp4531103 exp4541710
la var otherhhfuel_fu "Other household fuel (incl petrol & diesel for household use)"
egen Fuel = rowtotal(*_fu)
la var Fuel "TOTAL: Household fuel"
noisily di _col(3) "…TOTAL: Household fuel compiled"
egen beds_ff = rowtotal(exp5211000)
drop exp5211000
la var beds_ff "Bed bases & matresses"
egen diningfurn_ff = rowtotal(exp5111201)
drop exp5111201
la var diningfurn_ff "Dining room furniture"
egen loungefurn_ff = rowtotal(exp5111300)
drop exp5111300
la var loungefurn_ff "Lounge furniture"
egen kitchenfurn_ff = rowtotal(exp5111400)
drop exp5111400
la var kitchenfurn_ff "Kitchen furniture"
egen gardenfurn_ff = rowtotal(exp5111600)
drop exp5111600
la var gardenfurn_ff "Garden & patio furniture"
egen looserugs_ff = rowtotal(exp5121102)
drop exp5121102
la var looserugs_ff "Loose carpets & rugs"
egen bedroomfurn_ff = rowtotal(exp5111110)
drop exp5111110
la var bedroomfurn_ff "Other bedroom furniture"
egen upholstering_ff = rowtotal(exp5131100 exp5131210)
drop exp5131100 exp5131210
la var upholstering_ff "Upholstering; repairs to furniture, furnishings & floor coverings"
egen otherfurn_ff = rowtotal(exp5111610 exp5121200 exp5111500)
drop exp5111610 exp5121200 exp5111500
la var otherfurn_ff "Other furniture, furnishings & floor coverings"
egen Furniture_fe = rowtotal(*_ff)
la var Furniture_fe "SUBTOTAL: Furniture and floor coverings"
egen blankets_tx = rowtotal(exp5211100)
drop exp5211100
la var blankets_tx "Blankets & travelling rugs"
egen bedlinen_tx = rowtotal(exp5211200 exp5211300 exp5211800)
drop exp5211200 exp5211300 exp5211800
la var bedlinen_tx "Sheets & pillowcases; duvets & duvet covers; duvet packs"
egen curtains_tx = rowtotal(exp5211500)
drop exp5211500
la var curtains_tx "Curtains (incl making & hanging charges) & material for curtains"
egen pillows_tx = rowtotal(exp5211600)
drop exp5211600
la var pillows_tx "Pillows & cushions"
egen tablelinen_tx = rowtotal(exp5211400)
drop exp5211400
la var tablelinen_tx "Table & bathroom linen (eg tablecloths, napkins; towels, facecloths)"
egen othertextiles_tx = rowtotal(exp5211700 exp5211900)
drop exp5211700 exp5211900
la var othertextiles_tx ". Other household textiles"
egen Textiles_fe = rowtotal(*_tx)
la var Textiles_fe "SUBTOTAL: Household textiles"
egen washingmachine_ap = rowtotal(exp5312100)
drop exp5312100
la var washingmachine_ap "Washing machines, dishwashers, tumble dryers"
egen paraffinstove_ap = rowtotal(exp5314200)
drop exp5314200
la var paraffinstove_ap "Paraffin stoves & heaters"
egen hotplate_ap = rowtotal(exp5321101)
drop exp5321101
la var hotplate_ap "Hotplates"
egen gasstove_ap = rowtotal(exp5313300)
drop exp5313300
la var gasstove_ap "Gas stoves & heaters"
egen sewingmachine_ap = rowtotal(exp5316100)
drop exp5316100
la var sewingmachine_ap "Sewing machines, overlockers, knitting machines (electric)"
egen sewingnonelec_ap = rowtotal(exp5316200)
drop exp5316200
la var sewingnonelec_ap "Sewing machines & knitting machines (non-electric)"
egen irons_ap = rowtotal(exp5321200)
drop exp5321200
la var irons_ap "Irons"
egen kettles_ap = rowtotal(exp5321300)
drop exp5321300
la var kettles_ap "Kettles, percolators, coffee makers"
egen foodmixer_ap = rowtotal(exp5321400)
drop exp5321400
la var foodmixer_ap "Food mixers, processors & similar accessories"
egen fryingpan_ap = rowtotal(exp5321500)
drop exp5321500
la var fryingpan_ap "Frying pans & woks"
egen toaster_ap = rowtotal(exp5321600)
drop exp5321600
la var toaster_ap "Toasters, waffle irons & sandwich toasters"
egen appliancerepairs_ap = rowtotal(exp5331100 exp5331200)
drop exp5331100 exp5331200
la var appliancerepairs_ap "Repairs of electrical & non-electrical appliances"
egen vacuum_ap = rowtotal(exp5315100)
drop exp5315100
la var vacuum_ap "Vacuum cleaners; polishers & carpet cleaning machines"
egen fridge_ap = rowtotal(exp5311100)
drop exp5311100
la var fridge_ap "Refrigerators, deep freezers, fridge/freezer combinations"
egen stove_ap = rowtotal(exp5313100)
drop exp5313100
la var stove_ap "Stoves & ovens, incl microwave ovens"
egen lawnmower_ap = rowtotal(exp5511110)
drop exp5511110
la var lawnmower_ap "Power driven garden tools (lawnmowers, edge trimmers)"
egen otherappl_ap = rowtotal(exp5311200 exp5313200 exp5314100 exp5321800 exp5321900)
drop exp5311200 exp5313200 exp5314100 exp5321800 exp5321900
la var otherappl_ap "All other appliances (incl. fridges, freezers, stoves; electric & non-electric)"
egen Appliances_fe = rowtotal(*_ap)
la var Appliances_fe "SUBTOTAL: Household appliances"
egen musicalinstr_mu = rowtotal(exp9221000)
drop exp9221000
la var musicalinstr_mu "Pianos, organs & other musical instruments"
egen tvs_mu = rowtotal(exp9112100 exp9112200)
drop exp9112100 exp9112200
la var tvs_mu "TV sets, decoders, VCR/DVD/Blu-Ray players, aerials, satellite dishes"
egen tvlicence_mu = rowtotal(exp9423101)
drop exp9423101
la var tvlicence_mu "TV licences"
egen paytv_mu = rowtotal(exp9423103)
drop exp9423103
la var paytv_mu "Subscription to pay-TV channels"
egen tvrental_mu = rowtotal(exp9423102)
drop exp9423102
la var tvrental_mu "Television rental"
egen decoderrent_mu = rowtotal(exp9423104)
drop exp9423104
la var decoderrent_mu "Rent for decoder, video equipment, tapes"
egen radios_mu = rowtotal(exp9111100)
drop exp9111100
la var radios_mu "Radios, tape recorders, CD players, sound systems & similar equipment"
egen cds_mu = rowtotal(exp9141400 exp9141500 exp9141600)
drop exp9141400 exp9141500 exp9141600
la var cds_mu "CDs/DVDs/VCDs/Blu-Ray discs (music/movies/blank; not games/software)"
egen Musical_fe = rowtotal(*_mu)
la var Musical_fe "SUBTOTAL: Musical instruments, audiovisual equipment and accessories"
egen kitchenware_eq = rowtotal(exp5411000 exp5412000 exp5412100)
drop exp5411000 exp5412000 exp5412100
la var kitchenware_eq "Kitchen utensils & cookingware; Cutlery; Tableware"
egen gardenequip_eq = rowtotal(exp5521302 exp5521303 exp5521304)
drop exp5521302 exp5521303 exp5521304
la var gardenequip_eq "Gardening hand tools (spades, hoses, watering cans)"
egen Equipment_fe = rowtotal(*_eq)
la var Equipment_fe "SUBTOTAL: Other household equipment"
egen Furnequip = rowtotal(*_fe)
la var Furnequip "TOTAL: Furniture and equipment"
noisily di _col(3) "…TOTAL: Furniture and equipment compiled"
egen washingpowder_hg = rowtotal(exp5611100)
drop exp5611100
la var washingpowder_hg "Soap (not toilet soap),washing powder,liquid detergent,bleach,dishwasher tablets"
egen polishes_hg = rowtotal(exp5611300)
drop exp5611300
la var polishes_hg "Floor, shoe & furniture polish"
egen scourers_hg = rowtotal(exp5611200)
drop exp5611200
la var scourers_hg "Scouring powders, pot scourers"
egen insecticides_hg = rowtotal(exp5611400)
drop exp5611400
la var insecticides_hg "Insecticides (indoor), pesticides, drain & toilet cleansers, air freshener etc"
egen matches_hg = rowtotal(exp5612310)
drop exp5612310
la var matches_hg "Matches"
egen brooms_hg = rowtotal(exp5612210)
drop exp5612210
la var brooms_hg "Brooms, brushes, feather dusters, etc"
egen plasticbags_hg = rowtotal(exp5612110)
drop exp5612110
la var plasticbags_hg "Packaging materials (plastic bags & sachets, foil, wax paper etc)"
egen paperplates_hg = rowtotal(exp5612120)
drop exp5612120
la var paperplates_hg "Paper serviettes, disposable dinner ware (plates, cups etc)"
egen Hhgoods_hm = rowtotal(*_hg)
la var Hhgoods_hm "SUBTOTAL: Non-durable household goods"
egen domesticworker_hs = rowtotal(exp5621011)
drop exp5621011
la var domesticworker_hs "Cash wage incl transport allowance: General domestic worker"
egen childminder_hs = rowtotal(exp5621012)
drop exp5621012
la var childminder_hs "Cash wage incl transport allowance: Childminder/nanny"
egen cook_hs = rowtotal(exp5621013)
drop exp5621013
la var cook_hs "Cash wage incl transport allowance: Cook"
egen chauffeur_hs = rowtotal(exp5621014)
drop exp5621014
la var chauffeur_hs "Cash wage incl transport allowance: Chauffeur"
egen clotheswasher_hs = rowtotal(exp5621015)
drop exp5621015
la var clotheswasher_hs "Cash wage incl transport allowance: Clothes washer/ironer"
egen gardener_hs = rowtotal(exp5621016)
drop exp5621016
la var gardener_hs "Cash wage incl transport allowance: Gardener"
egen otherdworker_hs = rowtotal(exp5621017 exp5621018 exp5621019 exp5621020 exp5621021)
drop exp5621017 exp5621018 exp5621019 exp5621020 exp5621021
la var otherdworker_hs "Cash wage incl transport allowance: Other domestic workers"
egen laundryservices_hs = rowtotal(exp5622200)
drop exp5622200
la var laundryservices_hs "Laundry service for HH textiles/carpets; nappy services (incl launderettes)"
egen fumigation_hs = rowtotal(exp5622400)
drop exp5622400
la var fumigation_hs "Fumigation & cleaning services (incl for upholstery, pools, window cleaning etc)"
egen Hhservices_hm = rowtotal(*_hs)
la var Hhservices_hm "SUBTOTAL: Domestic services and household articles"
egen Hhmaint = rowtotal(*_hm)
la var Hhmaint "TOTAL: Goods and services for household maintenance"
noisily di _col(3) "…TOTAL: Goods and services for household maintenance compiled"
egen telephony_tc = rowtotal(exp8311101 exp8311301 exp8311501 exp8311201 exp8311202 exp8311203 exp8311401 exp8311402 exp8311502 exp8311302)
drop exp8311101 exp8311301 exp8311501 exp8311201 exp8311202 exp8311203 exp8311401 exp8311402 exp8311502 exp8311302
la var telephony_tc "Telephony costs (incl phone rental, phone calls; landline & mobile)"
egen internet_tc = rowtotal(exp8311503 exp8311504)
drop exp8311503 exp8311504
la var internet_tc "Internet subscriptions & costs"
egen postage_tc = rowtotal(exp8111100 exp8111200 exp8111301)
drop exp8111100 exp8111200 exp8111301
la var postage_tc "Postage (stamps, packages, other)"
egen postbox_tc = rowtotal(exp8111300 exp8111400 exp8111500)
drop exp8111300 exp8111400 exp8111500
la var postbox_tc "Other communication (post box rental, courier services, telegrams etc)"
egen Communication = rowtotal(*_tc)
la var Communication "TOTAL: Communication for household purposes"
noisily di _col(3) "…TOTAL: Communication for household purposes compiled"
egen computers_ct = rowtotal(exp9131100 exp9131200 exp9131201 exp9131300 exp9131400 exp9131802 exp9131803 exp9131804 exp9141100 exp9141200 exp9131500 exp9131801)
drop exp9131100 exp9131200 exp9131201 exp9131300 exp9131400 exp9131802 exp9131803 exp9131804 exp9141100 exp9141200 exp9131500 exp9131801
la var computers_ct "Computers, software, calculators, disks & consumables"
egen phones_ct = rowtotal(exp9131600 exp8211100 exp8211200 exp8211300)
drop exp9131600 exp8211100 exp8211200 exp8211300
la var phones_ct "Phones (incl mobile phones), fax machines, answering machines"
egen twowayradio_ct = rowtotal(exp9111200)
drop exp9111200
la var twowayradio_ct "Two-way radios"
egen Computer = rowtotal(*_ct)
la var Computer "TOTAL: Computer and telecommunication equipment"
noisily di _col(3) "…TOTAL: Computer and telecommunication equipment compiled"
egen newcars_pv = rowtotal(exp7111101 exp7111102 exp7111103)
drop exp7111101 exp7111102 exp7111103
la var newcars_pv "New motor cars, station wagons & minibuses"
egen newbakkies_pv = rowtotal(exp7111200 exp7111300)
drop exp7111200 exp7111300
la var newbakkies_pv "New bakkies & four-wheel drive vehicles"
egen newmotorbikes_pv = rowtotal(exp7121100)
drop exp7121100
la var newmotorbikes_pv "New motorcycles & scooters"
egen newbicycles_pv = rowtotal(exp7131100)
drop exp7131100
la var newbicycles_pv "New bicycles"
egen usedcars_pv = rowtotal(exp7112101 exp7112102 exp7112103)
drop exp7112101 exp7112102 exp7112103
la var usedcars_pv "Used motor cars, station wagons & minibuses"
egen usedbakkies_pv = rowtotal(exp7112200 exp7112300)
drop exp7112200 exp7112300
la var usedbakkies_pv "Used bakkies & four-wheel drive vehicles"
egen usedmotorbikes_pv = rowtotal(exp7121200)
drop exp7121200
la var usedmotorbikes_pv "Used motorcycles & scooters"
egen usedbicycles_pv = rowtotal(exp7131200)
drop exp7131200
la var usedbicycles_pv "Used bicycles"
egen Vehicles_tr = rowtotal(*_pv)
la var Vehicles_tr "SUBTOTAL: Purchase of private vehicles"
egen carfuel_rc = rowtotal(exp7221110)
drop exp7221110
la var carfuel_rc "Motor car fuel"
egen newtyres_rc = rowtotal(exp7211100)
drop exp7211100
la var newtyres_rc "New tyres & tubes"
egen retreads_rc = rowtotal(exp7211200)
drop exp7211200
la var retreads_rc "Retreaded tyres"
egen spareparts_rc = rowtotal(exp7211300 exp7211400)
drop exp7211300 exp7211400
la var spareparts_rc "Spare parts & accessories purchased for private repair, maintenance, cleaning"
egen carbatteries_rc = rowtotal(exp7211410)
drop exp7211410
la var carbatteries_rc "Car batteries"
egen oilgrease_rc = rowtotal(exp7221200)
drop exp7221200
la var oilgrease_rc "Oil & grease"
egen parkingfees_rc = rowtotal(exp7241100)
drop exp7241100
la var parkingfees_rc "Parking fees"
egen trafficfines_rc = rowtotal(exp7241200)
drop exp7241200
la var trafficfines_rc "Traffic fines"
egen tollfees_rc = rowtotal(exp7241300)
drop exp7241300
la var tollfees_rc "Toll fees"
egen vehiclemaint_rc = rowtotal(exp7231100)
drop exp7231100
la var vehiclemaint_rc "Vehicle maintenance & lubrication services"
egen vehicleinstal_rc = rowtotal(exp7211500 exp7211600)
drop exp7211500 exp7211600
la var vehicleinstal_rc "Installation of air conditioning & security systems"
egen panelbeating_rc = rowtotal(exp7231410)
drop exp7231410
la var panelbeating_rc "Panel-beating repairs (incl repairs to others' vehicles), paid by self"
egen panelbeatingins_rc = rowtotal(exp7231420)
drop exp7231420
la var panelbeatingins_rc "Panel-beating repairs (incl repairs to others' vehicles), paid by insurer"
egen vehiclerepair_rc = rowtotal(exp7231510)
drop exp7231510
la var vehiclerepair_rc "Other repair work (incl repairs to others' vehicles), paid by self"
egen vehiclerepairins_rc = rowtotal(exp7231520)
drop exp7231520
la var vehiclerepairins_rc "Other repair work (incl repairs to others' vehicles), paid by insurer"
egen vehiclelicence_rc = rowtotal(exp7241400)
drop exp7241400
la var vehiclelicence_rc "Licenses & registration fees (incl that of motorcycles)"
egen otherrunning_rc = rowtotal(exp7231600 exp7231700 exp7241900 exp7241500 exp7241600)
drop exp7231600 exp7231700 exp7241900 exp7241500 exp7241600
la var otherrunning_rc "All other vehicle running costs"
egen Runningcosts_tr = rowtotal(*_rc)
la var Runningcosts_tr "SUBTOTAL: Running costs"
egen bus_pt = rowtotal(exp7321110 exp7321111)
drop exp7321110 exp7321111
la var bus_pt "Bus (education & non-education)"
egen train_pt = rowtotal(exp7311110 exp7311111)
drop exp7311110 exp7311111
la var train_pt "Train (education & non-education)"
egen cab_pt = rowtotal(exp7321310 exp7321311)
drop exp7321310 exp7321311
la var cab_pt "Metered taxi (education & non-education)"
egen taxi_pt = rowtotal(exp7321320 exp7321321 exp7321330 exp7321331 exp7241700 exp7241701)
drop exp7321320 exp7321321 exp7321330 exp7321331 exp7241700 exp7241701
la var taxi_pt "Taxis & rented vehicles (education & non-education)"
egen otherpublic_pt = rowtotal(exp7321510 exp7321511 exp7361150 exp7361151 exp7331110 exp7331111 exp7341110 exp7341111)
drop exp7321510 exp7321511 exp7361150 exp7361151 exp7331110 exp7331111 exp7341110 exp7341111
la var otherpublic_pt "Other public & hired transport (education & non-education)"
egen discountedfares_pt = rowtotal(exp7321610 exp7321611)
drop exp7321610 exp7321611
la var discountedfares_pt "Value of reduced transport tariffs (education & non-education)"
egen furnitureremovals_pt = rowtotal(exp7361110 exp7361111)
drop exp7361110 exp7361111
la var furnitureremovals_pt "Furniture removal & transport of goods (education & non-education)"
egen busaway_pt = rowtotal(exp7321210)
drop exp7321210
la var busaway_pt "Bus (away from home)"
egen trainaway_pt = rowtotal(exp7311210)
drop exp7311210
la var trainaway_pt "Train (away from home)"
egen taxiaway_pt = rowtotal(exp7321410 exp7321420 exp7321430)
drop exp7321410 exp7321420 exp7321430
la var taxiaway_pt "Taxi, incl. metered & minibus (away from home)"
egen shipaway_pt = rowtotal(exp7341210)
drop exp7341210
egen planeaway_pt = rowtotal(exp7331210)
drop exp7331210
la var planeaway_pt "Aircraft (away from home)"
egen rentedaway_pt = rowtotal(exp7241801)
drop exp7241801
la var rentedaway_pt "Rented vehicles (away from home)"
egen otheraway_pt = rowtotal(exp7361140 exp7361130)
drop exp7361140 exp7361130
la var otheraway_pt "Other transport (away from home)"
egen Publictransport_tr = rowtotal(*_pt)
la var Publictransport_tr "SUBTOTAL: Public and hired transport"
egen Transport = rowtotal(*_tr)
la var Transport "TOTAL: Transport"
noisily di _col(3) "…TOTAL: Transport compiled"
egen newspapers_np = rowtotal(exp9521100)
drop exp9521100
la var newspapers_np "Newspapers"
egen magazines_np = rowtotal(exp9521200)
drop exp9521200
la var magazines_np "Magazines & periodicals"
egen books_np = rowtotal(exp9511200)
drop exp9511200
la var books_np "Books (excl for academic purposes)"
egen stationery_np = rowtotal(exp9541100)
drop exp9541100
la var stationery_np "Stationery"
egen Reading = rowtotal(*_np)
la var Reading "TOTAL: Newspapers, books and stationery"
noisily di _col(3) "…TOTAL: Newspapers, books and stationery compiled"
egen rent_ho = rowtotal(exp4111010)
drop exp4111010
la var rent_ho "Total rent paid or, if rented free, total rent household would pay"
egen levy_ho = rowtotal(exp12711010 exp12711030)
drop exp12711010 exp12711030
la var levy_ho "Levy paid (sectional title or share-holding scheme)"
egen lodging_ho = rowtotal(exp11211502)
drop exp11211502
la var lodging_ho "Boarding/lodging paid (permanent only)"
egen repayment_ho = rowtotal(exp12621010 exp52230000)
drop exp12621010 exp52230000
la var repayment_ho "Mortgage bond repayment (capital plus interest)"
egen mortgagesubsidy_ho = rowtotal(exp12711020)
drop exp12711020
la var mortgagesubsidy_ho "Subsidy &/or value of reduction in mortgage bond instalment"
egen rates_ho = rowtotal(exp4441010)
drop exp4441010
la var rates_ho "Assessment rates & taxes"
egen hservices_ho = rowtotal(exp4404500 exp4411010 exp4511010 exp4511110 exp4431010 exp4421010 exp4442000 exp4522010)
drop exp4404500 exp4411010 exp4511010 exp4511110 exp4431010 exp4421010 exp4442000 exp4522010
la var hservices_ho "Household services, incl water, electricity, sanitation"
egen addcapital_ho = rowtotal(exp52220000)
drop exp52220000
la var addcapital_ho "Additional capital payments in respect of mortgage bond"
egen addother_ho = rowtotal(exp52240000)
drop exp52240000
la var addother_ho "Other additional payments i.r.o. mortgage bond (transfer costs, registration)"
egen maintenance_ho = rowtotal(exp4311100 exp4321100 exp4321201)
drop exp4311100 exp4321100 exp4321201
la var maintenance_ho "Maintenance & repair of buildings, swimming pools etc (plumbers, electricians)"
egen alterations_ho = rowtotal(exp52110000 exp52150000 exp52122000 exp52130000 exp4321203)
drop exp52110000 exp52150000 exp52122000 exp52130000 exp4321203
la var alterations_ho "Additions & alterations"
egen buildingmaterials_ho = rowtotal(exp52140000)
drop exp52140000
la var buildingmaterials_ho "Building materials not included previously (e.g. for building houses)"
egen communalserv_ho = rowtotal(exp12711011)
drop exp12711011
la var communalserv_ho "Contribution to communal provision of services"
egen landaccess_ho = rowtotal(exp12711012)
drop exp12711012
la var landaccess_ho "Payment for right to access land"
egen Housing = rowtotal(*_ho)
la var Housing "TOTAL: Housing and housing services"
noisily di _col(3) "…TOTAL: Housing and housing services compiled"
egen netexphhome_rh = rowtotal(exp11211401)
drop exp11211401
la var netexphhome_rh "Expenses incurred as owner of holiday home, after deduction of letting income"
egen hotels_rh = rowtotal(exp11211101 exp11211102 exp11211103 exp11211104 exp11211105)
drop exp11211101 exp11211102 exp11211103 exp11211104 exp11211105
la var hotels_rh "Hotels, motels, boarding fees"
egen holidayrent_rh = rowtotal(exp11211200)
drop exp11211200
la var holidayrent_rh "Rent paid for holiday flat/house, private house, caravan etc"
egen eatingout_rh = rowtotal(exp11121110 exp11111211 exp11111221 exp11111222 exp11111223 exp11111231 exp11111261 exp11111262 exp11111271)
drop exp11121110 exp11111211 exp11111221 exp11111222 exp11111223 exp11111231 exp11111261 exp11111262 exp11111271
la var eatingout_rh "Meals, snacks and unmatched beverages consumed in restaurants etc; take-aways"
egen softdrinkson_rh = rowtotal(exp11111251)
drop exp11111251
la var softdrinkson_rh "Soft drinks (consumed on-site)"
egen springwateron_rh = rowtotal(exp11111241)
drop exp11111241
la var springwateron_rh "Mineral/spring water (consumed on-site)"
egen spiritson_rh = rowtotal(exp11111311)
drop exp11111311
la var spiritson_rh "Spirits (consumed on-site)"
egen fortifiedwineon_rh = rowtotal(exp11111323)
drop exp11111323
la var fortifiedwineon_rh "Fortified wine (consumed on-site)"
egen sorghumbeeron_rh = rowtotal(exp11111333 exp11111332)
drop exp11111333 exp11111332
la var sorghumbeeron_rh "Sorghum beer (consumed on-site)"
egen otheralcbevon_rh = rowtotal(exp11111321 exp11111322 exp11111324 exp11111325 exp11111331)
drop exp11111321 exp11111322 exp11111324 exp11111325 exp11111331
la var otheralcbevon_rh "Other alcoholic beverages (consumed on-site)"
egen Restaurant = rowtotal(*_rh)
la var Restaurant "TOTAL: Restaurants and hotels"
noisily di _col(3) "…TOTAL: Restaurants and hotels compiled"
egen medaidself_he = rowtotal(exp12531110)
drop exp12531110
la var medaidself_he "Medical aid contribution paid by household member"
egen medaidemp_he = rowtotal(exp12531120)
drop exp12531120
la var medaidemp_he "Medical aid contribution paid by employer"
egen hospitalflatrate_he = rowtotal(exp6211110 exp6211111)
drop exp6211110 exp6211111
la var hospitalflatrate_he "Flat rate in respect of services & medicine obtained at hospital/clinic"
egen medequip_he = rowtotal(exp6131000 exp6131001)
drop exp6131000 exp6131001
la var medequip_he "Therapeutic appliances & equipment (like spectacles & hearing aids)"
egen tradhealers_he = rowtotal(exp6211200 exp6211201)
drop exp6211200 exp6211201
la var tradhealers_he "Consultations of traditional healers"
egen otherhealth_he = rowtotal(exp6111200 exp6111201 exp6211100 exp6211101 exp6111100 exp6111101 exp6111210 exp6111211 exp6111300 exp6111301 exp6121000 exp6121001 exp6121100 exp6211120 exp6211121 exp6211130 exp6211131 exp6221000 exp6221001 exp6231101 exp6231102 exp6232000 exp6232001 exp6233000 exp6233001 exp6311100 exp6311101)
drop exp6111200 exp6111201 exp6211100 exp6211101 exp6111100 exp6111101 exp6111210 exp6111211 exp6111300 exp6111301 exp6121000 exp6121001 exp6121100 exp6211120 exp6211121 exp6211130 exp6211131 exp6221000 exp6221001 exp6231101 exp6231102 exp6232000 exp6232001 exp6233000 exp6233001 exp6311100 exp6311101
la var otherhealth_he "All other health and medical expenditure"
egen Health = rowtotal(*_he)
la var Health "TOTAL: Health Service and Medical Requisites"
noisily di _col(3) "…TOTAL: Health Service and Medical Requisites compiled"
egen photography_re = rowtotal(exp9121100 exp9141300)
drop exp9121100 exp9141300
la var photography_re "Photography (cameras, video cameras, projectors, flashes & film)"
egen aircraft_re = rowtotal(exp9211000)
drop exp9211000
la var aircraft_re "Boats (incl outboard motors), aircraft, go-carts"
egen sportsequip_re = rowtotal(exp9321100 exp9321101 exp9321200)
drop exp9321100 exp9321101 exp9321200
la var sportsequip_re "Sports equipment (tennis rackets & balls, rifles & ammunition, fishing rods etc)"
egen campingequip_re = rowtotal(exp9321400)
drop exp9321400
la var campingequip_re "Camping equipment (tents, sleeping bags, etc)"
egen poolmaintenance_re = rowtotal(exp9321500 exp4321400)
drop exp9321500 exp4321400
la var poolmaintenance_re "Pool & garden maintenance (excl wages, incl chemicals, pool equipment, repairs)"
egen gardenringreq_re = rowtotal(exp9331100)
drop exp9331100
la var gardenringreq_re "Gardening requirements (excl equipment): seeds, plants, fertilizer, sprays"
egen petfood_re = rowtotal(exp9341000 exp9341200 exp4441040 exp66311801 exp9311101)
drop exp9341000 exp9341200 exp4441040 exp66311801 exp9311101
la var petfood_re "Pets (purchase of pets, foods/feeds & other requisites)"
egen petlicences_re = rowtotal(exp9351100)
drop exp9351100
la var petlicences_re "Pet licences"
egen petcare_re = rowtotal(exp9351200)
drop exp9351200
la var petcare_re "Pet care (eg doggy parlour; kennels & veterinary costs)"
egen flowers_re = rowtotal(exp9331200)
drop exp9331200
la var flowers_re "Bouquets & cut flowers for household use"
egen toysgames_re = rowtotal(exp9311100 exp9311200)
drop exp9311100 exp9311200
la var toysgames_re "Hobbies, toys & games (incl software games)"
egen tickets_re = rowtotal(exp9411020 exp9421000 exp9421002 exp9422100 exp9424400)
drop exp9411020 exp9421000 exp9421002 exp9422100 exp9424400
la var tickets_re "Admission charges (cinemas, theatres, concerts, swimming pools, sports events)"
egen recreationlessons_re = rowtotal(exp9411200)
drop exp9411200
la var recreationlessons_re "Fees for lessons connected with recreation, entertainment & sport"
egen photoprints_re = rowtotal(exp9424300)
drop exp9424300
la var photoprints_re "Film development & photo prints"
egen libraryfees_re = rowtotal(exp9422200)
drop exp9422200
la var libraryfees_re "Library fees & fines"
egen Recreation = rowtotal(*_re)
la var Recreation "TOTAL: Recreation, entertainment and sport"
noisily di _col(3) "…TOTAL: Recreation, entertainment and sport compiled"
egen daycare_ed = rowtotal(exp12412010 exp12412020)
drop exp12412010 exp12412020
la var daycare_ed "Tuition: Day-care mothers, creches & playgroups (self)"
egen daycaregrant_ed = rowtotal(exp12412011 exp12412021)
drop exp12412011 exp12412021
la var daycaregrant_ed "Tuition: Day-care mothers, creches & playgroups (grant)"
egen schoolfees_ed = rowtotal(exp10111201 exp10111301 exp10211101 exp10211111)
drop exp10111201 exp10111301 exp10211101 exp10211111
la var schoolfees_ed "Tuition: Primary & secondary schools (self)"
egen schoolfeesgrant_ed = rowtotal(exp10111202 exp10111302 exp10211102 exp10211112)
drop exp10111202 exp10111302 exp10211102 exp10211112
la var schoolfeesgrant_ed "Tuition: Primary & secondary schools (grant)"
egen postschool_ed = rowtotal(exp10411101 exp10411111 exp10511101 exp10511111 exp10511102 exp10511112 exp10511103 exp10511113)
drop exp10411101 exp10411111 exp10511101 exp10511111 exp10511102 exp10511112 exp10511103 exp10511113
la var postschool_ed "Tuition: Tertiary/college/educ not definable by level/private tuition (self)"
egen postschoolgrant_ed = rowtotal(exp10411102 exp10411112 exp10511121 exp10511131 exp10511122 exp10511132 exp10511123 exp10511133)
drop exp10411102 exp10411112 exp10511121 exp10511131 exp10511122 exp10511132 exp10511123 exp10511133
la var postschoolgrant_ed "Tuition: Tertiary/college/educ not definable by level/private tuition (grant)"
egen othertuition_ed = rowtotal(exp10511105 exp10511115 exp10111101 exp10111111)
drop exp10511105 exp10511115 exp10111101 exp10111111
la var othertuition_ed "All other tuition costs (self)"
egen othertuitiongrant_ed = rowtotal(exp10511125 exp10511135 exp10111102 exp10111112)
drop exp10511125 exp10511135 exp10111102 exp10111112
la var othertuitiongrant_ed "All other tuition costs (grant)"
egen hostel_ed = rowtotal(exp11211301 exp11211302 exp11211303 exp11211311 exp11211312 exp11211313)
drop exp11211301 exp11211302 exp11211303 exp11211311 exp11211312 exp11211313
la var hostel_ed "Boarding fees, all institutions (self)"
egen hostelgrant_ed = rowtotal(exp11211321 exp11211322 exp11211323 exp11211331 exp11211332 exp11211333)
drop exp11211321 exp11211322 exp11211323 exp11211331 exp11211332 exp11211333
la var hostelgrant_ed "Boarding fees, all institutions (grant)"
egen textbooks_ed = rowtotal(exp9511100 exp9511101)
drop exp9511100 exp9511101
la var textbooks_ed "Textbooks (self)"
egen textbooksgrant_ed = rowtotal(exp9511110 exp9511111)
drop exp9511110 exp9511111
la var textbooksgrant_ed "Textbooks (grant)"
egen Education = rowtotal(*_ed)
la var Education "TOTAL: Education"
noisily di _col(3) "…TOTAL: Education compiled"
egen hairdressingm_pc = rowtotal(exp12111100)
drop exp12111100
la var hairdressingm_pc "Hairdressing, beauty care & other personal care services - Male"
egen hairdressingf_pc = rowtotal(exp12111200)
drop exp12111200
la var hairdressingf_pc "Hairdressing, beauty care & other personal care services - Female"
egen pcareappliances_pc = rowtotal(exp12121100 exp12121200 exp12121300)
drop exp12121100 exp12121200 exp12121300
la var pcareappliances_pc "Personal care electrical appliances (hairdryers, shavers, etc)"
egen hairpieces_pc = rowtotal(exp12131110)
drop exp12131110
la var hairpieces_pc "Hair pieces"
egen shampoo_pc = rowtotal(exp12131130)
drop exp12131130
la var shampoo_pc "Shampoo & conditioners"
egen hairspray_pc = rowtotal(exp12131140)
drop exp12131140
la var hairspray_pc "Sprays"
egen otherhairprep_pc = rowtotal(exp12131120)
drop exp12131120
la var otherhairprep_pc "Other hair preparations"
egen dnappies_pc = rowtotal(exp12131320)
drop exp12131320
la var dnappies_pc "Disposable nappies"
egen tissues_pc = rowtotal(exp12131330)
drop exp12131330
la var tissues_pc "Tissues"
egen santowels_pc = rowtotal(exp12131340)
drop exp12131340
la var santowels_pc "Sanitary towels, tampons"
egen toothpaste_pc = rowtotal(exp12131230 exp12131240)
drop exp12131230 exp12131240
la var toothpaste_pc "Toothpaste, toothbrushes, mouthwash, dental floss"
egen shaving_pc = rowtotal(exp12131250 exp12131260)
drop exp12131250 exp12131260
la var shaving_pc "Shaving soap & cream, razors & razor blades. aftershave lotions"
egen skincream_pc = rowtotal(exp12131270)
drop exp12131270
la var skincream_pc "Skin creams, cleansers & lotions; perfumes"
egen deodorant_pc = rowtotal(exp12131280)
drop exp12131280
la var deodorant_pc "Powder (incl. baby powder) & deodorants"
egen makeup_pc = rowtotal(exp12131290)
drop exp12131290
la var makeup_pc "Make-up preparations, not shown elsewhere (eg lipstick, eye shadow etc)"
egen toiletpaper_pc = rowtotal(exp12131310)
drop exp12131310
la var toiletpaper_pc "Toilet paper"
egen soap_pc = rowtotal(exp12131210 exp12131220)
drop exp12131210 exp12131220
la var soap_pc "Body soap, bubble bath, bath oils & bath salts"
egen Personalcare = rowtotal(*_pc)
la var Personalcare "TOTAL: Personal care"
noisily di _col(3) "…TOTAL: Personal care compiled"
egen watches_pe = rowtotal(exp12311100)
drop exp12311100
la var watches_pe "Watches & personal jewellery"
egen bags_pe = rowtotal(exp12321100)
drop exp12321100
la var bags_pe "Handbags, travelling bags, school bags"
egen miscgoods_pe = rowtotal(exp12322110 exp12322000 exp12322200)
drop exp12322110 exp12322000 exp12322200
la var miscgoods_pe "Other misc. goods & repairs (incl. articles for babies; umbrellas, sunglasses)"
egen Personaleffects = rowtotal(*_pe)
la var Personaleffects "TOTAL: Personal effects n.e.c."
noisily di _col(3) "…TOTAL: Personal effects n.e.c. compiled"
egen remittances_fg = rowtotal(exp99111112 exp99111102)
drop exp99111112 exp99111102
la var remittances_fg "Maintenance of family/dependents living elsewhere, incl alimony (cash & in-kind)"
egen memberfees_fg = rowtotal(exp12711013)
drop exp12711013
la var memberfees_fg "Membership fees (unions, associations, societies)"
egen gymfees_fg = rowtotal(exp9411030)
drop exp9411030
la var gymfees_fg "Membership fees for gymnasiums; health; sport & social clubs"
egen exhhgifts_fg = rowtotal(exp99111202 exp99111212)
drop exp99111202 exp99111212
la var exhhgifts_fg "Gifts to non-household members (cash & in-kind)"
egen Feesandgifts = rowtotal(*_fg)
la var Feesandgifts "TOTAL: Membership fees, remittances, donations, gifts"
noisily di _col(3) "…TOTAL: Membership fees, remittances, donations, gifts compiled"
egen bankcharges_fc = rowtotal(exp12621020)
drop exp12621020
la var bankcharges_fc "Bank charges"
egen otherinterest_fc = rowtotal(exp12621040)
drop exp12621040
la var otherinterest_fc "Interest & finance charges"
egen overdraftrepaid_fc = rowtotal(exp52410000)
drop exp52410000
la var overdraftrepaid_fc "Repayments on loans & overdrafts (excl. instalments shown elsewhere)"
egen funeralpolicy_fc = rowtotal(exp12551020)
drop exp12551020
la var funeralpolicy_fc "Funeral policies"
egen medinsurance_fc = rowtotal(exp12531020)
drop exp12531020
la var medinsurance_fc "Medical insurance"
egen bldginsurance_fc = rowtotal(exp12521010)
drop exp12521010
la var bldginsurance_fc "Insurance of buildings"
egen lifeinsurancemd_fc = rowtotal(exp52320000)
drop exp52320000
la var lifeinsurancemd_fc "Life insurance covering mortgage debt"
egen continsurance_fc = rowtotal(exp12521020)
drop exp12521020
la var continsurance_fc "Insurance on contents of dwellings (excl. package insurance)"
egen carinsurance_fc = rowtotal(exp12541100)
drop exp12541100
la var carinsurance_fc "Insurance for private transport (excl. package insurance)"
egen pkginsurance_fc = rowtotal(exp12521030)
drop exp12521030
la var pkginsurance_fc "Package insurance (comprehensive insurance)"
egen pensionself_fc = rowtotal(exp52421000)
drop exp52421000
la var pensionself_fc "Contributions to pension, provident & annuity funds (self-paid)"
egen pensionemp_fc = rowtotal(exp52422000)
drop exp52422000
la var pensionemp_fc "Contributions to pension, provident & annuity funds (paid by employer)"
egen stokvel_fc = rowtotal(exp52500000)
drop exp52500000
la var stokvel_fc "Contributions to stokvel"
egen Finance = rowtotal(*_fc)
la var Finance "TOTAL: Finance and bank charges, Insurance"
noisily di _col(3) "…TOTAL: Finance and bank charges, Insurance compiled"
egen professionals_ot = rowtotal(exp12711040)
drop exp12711040
la var professionals_ot "Professional fees (legal fees, architects, etc.)"
egen funeralexp_ot = rowtotal(exp12711301)
drop exp12711301
la var funeralexp_ot "Funeral expenses"
egen gravestones_ot = rowtotal(exp12711400)
drop exp12711400
la var gravestones_ot "Gravestones and maintenance of graves (excl unveiling)"
egen Otherexp = rowtotal(*_ot)
la var Otherexp "TOTAL: All other matched expenditure"
noisily di _col(3) "…TOTAL: All other matched expenditure compiled"
egen unmatchedgoods_xx = rowtotal(exp9141700 exp9311400 exp9321300 exp9331210 exp5413400 exp5511130 exp5521101 exp5521301 exp5612010 exp5612220 exp5612320 exp5612410 exp9531000 exp12131150 exp12131400 exp9541400 exp9541401 exp12322100)
drop exp9141700 exp9311400 exp9321300 exp9331210 exp5413400 exp5511130 exp5521101 exp5521301 exp5612010 exp5612220 exp5612320 exp5612410 exp9531000 exp12131150 exp12131400 exp9541400 exp9541401 exp12322100
la var unmatchedgoods_xx "All remaining unmatched expenditure on goods"
egen unmatchedfinancial_xx = rowtotal(exp12531200 exp12551000)
drop exp12531200 exp12551000
la var unmatchedfinancial_xx "All remaining unmatched expenditure on financial services"
egen unmatchedtax_xx = rowtotal(exp53300000)
drop exp53300000
la var unmatchedtax_xx "All remaining unmatched expenditure on taxes"
egen unmatchedother_xx = rowtotal(exp9611000 exp9121300 exp9231001 exp4441020 exp52251000 exp52252000 exp5414200 exp9431200 exp9431300 exp9231002 exp10511104 exp10511114 exp5622300 exp5622100 exp8211600 exp3141100 exp3221100 exp3221200 exp12711700 exp88888888 exp52210000 exp10511124 exp10511134 exp9541410 exp9541411)
drop exp9611000 exp9121300 exp9231001 exp4441020 exp52251000 exp52252000 exp5414200 exp9431200 exp9431300 exp9231002 exp10511104 exp10511114 exp5622300 exp5622100 exp8211600 exp3141100 exp3221100 exp3221200 exp12711700 exp88888888 exp52210000 exp10511124 exp10511134 exp9541410 exp9541411
la var unmatchedother_xx "All remaining unmatched expenditure"
egen Unmatchedexp = rowtotal(*_xx)
la var Unmatchedexp "TOTAL: All other unmatched expenditure"
noisily di _col(3) "…TOTAL: All other unmatched expenditure compiled"
